model Network
  import SI = Modelica.SIunits;
  replaceable package Medium = Deltares.ChannelFlow.Media.SalineWater;
  parameter Real theta;
  parameter Real theta_fudge = theta * (0.99999);

//branches C_nominal = fill(0.001, .HQ.medium.n_substances)
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Aarkanaal_1(C(each nominal = 0.1), Q(each min=-Aarkanaal_1_MaxQ, each max=Aarkanaal_1_MaxQ), Q_nominal = Aarkanaal_1_Q_nominal, C_nominal = fill(Aarkanaal_1_C_nominal, Aarkanaal_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.1178, H_b_down = -3.1178, uniform_nominal_depth = Aarkanaal_1_H_nominal - Aarkanaal_1.H_b_down, length = 7304.4913, width_up = 29.0701, width_down = 29.0701, friction_coefficient = 38.0707, n_level_nodes = 2, rotation_deg = -114.6447, wind_stress_u = Aarkanaal_1_wind_stress_u, wind_stress_v = Aarkanaal_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {54.0, -69.0}, extent = {{-3, -3}, {3, 3}}, rotation = -114.6447)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Bennebroekervaart_1(C(each nominal = 0.1), Q(each min=-Bennebroekervaart_1_MaxQ, each max=Bennebroekervaart_1_MaxQ), Q_nominal = Bennebroekervaart_1_Q_nominal, C_nominal = fill(Bennebroekervaart_1_C_nominal, Bennebroekervaart_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -1.7508, H_b_down = -1.7508, uniform_nominal_depth = Bennebroekervaart_1_H_nominal - Bennebroekervaart_1.H_b_down, length = 3299.9525, width_up = 11.415, width_down = 11.415, friction_coefficient = 33.2911, n_level_nodes = 2, rotation_deg = -23.5893, wind_stress_u = Bennebroekervaart_1_wind_stress_u, wind_stress_v = Bennebroekervaart_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-37.0, 105.0}, extent = {{-3, -3}, {3, 3}}, rotation = -23.5893)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Braassemermeer_1(C(each nominal = 0.1), Q(each min=-Braassemermeer_1_MaxQ, each max=Braassemermeer_1_MaxQ), Q_nominal = Braassemermeer_1_Q_nominal, C_nominal = fill(Braassemermeer_1_C_nominal, Braassemermeer_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.2374, H_b_down = -2.2374, uniform_nominal_depth = Braassemermeer_1_H_nominal - Braassemermeer_1.H_b_down, length = 4335.1986, width_up = 25.215, width_down = 25.215, friction_coefficient = 35.555, n_level_nodes = 2, rotation_deg = 160.5223, wind_stress_u = Braassemermeer_1_wind_stress_u, wind_stress_v = Braassemermeer_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {50.0, -27.0}, extent = {{-3, -3}, {3, 3}}, rotation = 160.5223)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Braassemermeer_2(C(each nominal = 0.1), Q(each min=-Braassemermeer_2_MaxQ, each max=Braassemermeer_2_MaxQ), Q_nominal = Braassemermeer_2_Q_nominal, C_nominal = fill(Braassemermeer_2_C_nominal, Braassemermeer_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.2374, H_b_down = -2.2374, uniform_nominal_depth = Braassemermeer_2_H_nominal - Braassemermeer_2.H_b_down, length = 2881.1718, width_up = 25.215, width_down = 25.215, friction_coefficient = 35.555, n_level_nodes = 2, rotation_deg = -158.0215, wind_stress_u = Braassemermeer_2_wind_stress_u, wind_stress_v = Braassemermeer_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {18.0, -25.0}, extent = {{-3, -3}, {3, 3}}, rotation = -158.0215)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Buiten_Liede_1(C(each nominal = 0.1), Q(each min=-Buiten_Liede_1_MaxQ, each max=Buiten_Liede_1_MaxQ), Q_nominal = Buiten_Liede_1_Q_nominal, C_nominal = fill(Buiten_Liede_1_C_nominal, Buiten_Liede_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.9065, H_b_down = -2.9065, uniform_nominal_depth = Buiten_Liede_1_H_nominal - Buiten_Liede_1.H_b_down, length = 4628.6024, width_up = 37.18, width_down = 37.18, friction_coefficient = 37.6997, n_level_nodes = 2, rotation_deg = -85.3186, wind_stress_u = Buiten_Liede_1_wind_stress_u, wind_stress_v = Buiten_Liede_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {42.0, 228.0}, extent = {{-3, -3}, {3, 3}}, rotation = -85.3186)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Does_1(C(each nominal = 0.1), Q(each min=-Does_1_MaxQ, each max=Does_1_MaxQ), Q_nominal = Does_1_Q_nominal, C_nominal = fill(Does_1_C_nominal, Does_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.7688, H_b_down = -2.7688, uniform_nominal_depth = Does_1_H_nominal - Does_1.H_b_down, length = 9566.6417, width_up = 42.605, width_down = 42.605, friction_coefficient = 37.3324, n_level_nodes = 2, rotation_deg = -174.4235, wind_stress_u = Does_1_wind_stress_u, wind_stress_v = Does_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-37.0, -34.0}, extent = {{-3, -3}, {3, 3}}, rotation = -174.4235)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Drecht_1(C(each nominal = 0.1), Q(each min=-Drecht_1_MaxQ, each max=Drecht_1_MaxQ), Q_nominal = Drecht_1_Q_nominal, C_nominal = fill(Drecht_1_C_nominal, Drecht_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.6019, H_b_down = -2.6019, uniform_nominal_depth = Drecht_1_H_nominal - Drecht_1.H_b_down, length = 3880.9204, width_up = 28.0248, width_down = 28.0248, friction_coefficient = 36.6594, n_level_nodes = 2, rotation_deg = -110.3713, wind_stress_u = Drecht_1_wind_stress_u, wind_stress_v = Drecht_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {76.0, -16.0}, extent = {{-3, -3}, {3, 3}}, rotation = -110.3713)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Drecht_2(C(each nominal = 0.1), Q(each min=-Drecht_2_MaxQ, each max=Drecht_2_MaxQ), Q_nominal = Drecht_2_Q_nominal, C_nominal = fill(Drecht_2_C_nominal, Drecht_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.4653, H_b_down = -2.4653, uniform_nominal_depth = Drecht_2_H_nominal - Drecht_2.H_b_down, length = 6674.1167, width_up = 32.735, width_down = 32.735, friction_coefficient = 36.3748, n_level_nodes = 2, rotation_deg = 165.0478, wind_stress_u = Drecht_2_wind_stress_u, wind_stress_v = Drecht_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {50.0, 10.0}, extent = {{-3, -3}, {3, 3}}, rotation = 165.0478)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Fuikvaart_1(C(each nominal = 0.1), Q(each min=-Fuikvaart_1_MaxQ, each max=Fuikvaart_1_MaxQ), Q_nominal = Fuikvaart_1_Q_nominal, C_nominal = fill(Fuikvaart_1_C_nominal, Fuikvaart_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -1.3631, H_b_down = -1.3631, uniform_nominal_depth = Fuikvaart_1_H_nominal - Fuikvaart_1.H_b_down, length = 2311.3161, width_up = 11.16, width_down = 11.16, friction_coefficient = 31.2193, n_level_nodes = 2, rotation_deg = 168.9953, wind_stress_u = Fuikvaart_1_wind_stress_u, wind_stress_v = Fuikvaart_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {27.0, 205.0}, extent = {{-3, -3}, {3, 3}}, rotation = 168.9953)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Gouwe_2(C(each nominal = 0.1), Q(each min=-Gouwe_2_MaxQ, each max=Gouwe_2_MaxQ), Q_nominal = Gouwe_2_Q_nominal, C_nominal = fill(Gouwe_2_C_nominal, Gouwe_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.6589, H_b_down = -3.6589, uniform_nominal_depth = Gouwe_2_H_nominal - Gouwe_2.H_b_down, length = 5397.5225, width_up = 47.043, width_down = 47.043, friction_coefficient = 50, n_level_nodes = 2, rotation_deg = -59.5683, wind_stress_u = Gouwe_2_wind_stress_u, wind_stress_v = Gouwe_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {38.0, -226.0}, extent = {{-3, -3}, {3, 3}}, rotation = -59.5683)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Gouwe_3(C(each nominal = 0.1), Q(each min=-Gouwe_3_MaxQ, each max=Gouwe_3_MaxQ), Q_nominal = Gouwe_3_Q_nominal, C_nominal = fill(Gouwe_3_C_nominal, Gouwe_3.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.6589, H_b_down = -3.6589, uniform_nominal_depth = Gouwe_3_H_nominal - Gouwe_3.H_b_down, length = 4342.8776, width_up = 47.043, width_down = 47.043, friction_coefficient = 50, n_level_nodes = 2, rotation_deg = -92.3506, wind_stress_u = Gouwe_3_wind_stress_u, wind_stress_v = Gouwe_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {26.0, -179.0}, extent = {{-3, -3}, {3, 3}}, rotation = -92.3506)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Gouwe_4(C(each nominal = 0.1), Q(each min=-Gouwe_4_MaxQ, each max=Gouwe_4_MaxQ), Q_nominal = Gouwe_4_Q_nominal, C_nominal = fill(Gouwe_4_C_nominal, Gouwe_4.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.6296, H_b_down = -3.6296, uniform_nominal_depth = Gouwe_4_H_nominal - Gouwe_4.H_b_down, length = 4941.4684, width_up = 33.554, width_down = 33.554, friction_coefficient = 39.2693, n_level_nodes = 2, rotation_deg = -101.9393, wind_stress_u = Gouwe_4_wind_stress_u, wind_stress_v = Gouwe_4_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {32.0, -130.0}, extent = {{-3, -3}, {3, 3}}, rotation = -101.9393)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Halfweg_2(C(each nominal = 0.1), Q(each min=-Halfweg_2_MaxQ, each max=Halfweg_2_MaxQ), Q_nominal = Halfweg_2_Q_nominal, C_nominal = fill(Halfweg_2_C_nominal, Halfweg_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.5361, H_b_down = -3.5361, uniform_nominal_depth = Halfweg_2_H_nominal - Halfweg_2.H_b_down, length = 2172.9021, width_up = 146.0701, width_down = 146.0701, friction_coefficient = 50, n_level_nodes = 2, rotation_deg = 33.1351, wind_stress_u = Halfweg_2_wind_stress_u, wind_stress_v = Halfweg_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {104.0, 220.0}, extent = {{-3, -3}, {3, 3}}, rotation = 33.1351)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Leidsevaart_1(C(each nominal = 0.1), Q(each min=-Leidsevaart_1_MaxQ, each max=Leidsevaart_1_MaxQ), Q_nominal = Leidsevaart_1_Q_nominal, C_nominal = fill(Leidsevaart_1_C_nominal, Leidsevaart_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.3387, H_b_down = -2.3387, uniform_nominal_depth = Leidsevaart_1_H_nominal - Leidsevaart_1.H_b_down, length = 14936.801, width_up = 19.735, width_down = 19.735, friction_coefficient = 35.8126, n_level_nodes = 2, rotation_deg = -128.1169, wind_stress_u = Leidsevaart_1_wind_stress_u, wind_stress_v = Leidsevaart_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-97.0, 52.0}, extent = {{-3, -3}, {3, 3}}, rotation = -128.1169)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Leidsevaart_2(C(each nominal = 0.1), Q(each min=-Leidsevaart_2_MaxQ, each max=Leidsevaart_2_MaxQ), Q_nominal = Leidsevaart_2_Q_nominal, C_nominal = fill(Leidsevaart_2_C_nominal, Leidsevaart_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.2372, H_b_down = -2.2372, uniform_nominal_depth = Leidsevaart_2_H_nominal - Leidsevaart_2.H_b_down, length = 8071.2544, width_up = 17.515, width_down = 17.515, friction_coefficient = 35.4149, n_level_nodes = 2, rotation_deg = 61.366, wind_stress_u = Leidsevaart_2_wind_stress_u, wind_stress_v = Leidsevaart_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-31.0, 148.0}, extent = {{-3, -3}, {3, 3}}, rotation = 61.366)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Leidsevaart_3(C(each nominal = 0.1), Q(each min=-Leidsevaart_3_MaxQ, each max=Leidsevaart_3_MaxQ), Q_nominal = Leidsevaart_3_Q_nominal, C_nominal = fill(Leidsevaart_3_C_nominal, Leidsevaart_3.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.2051, H_b_down = -2.2051, uniform_nominal_depth = Leidsevaart_3_H_nominal - Leidsevaart_3.H_b_down, length = 4290.4957, width_up = 16.915, width_down = 16.915, friction_coefficient = 35.2857, n_level_nodes = 2, rotation_deg = 49.5297, wind_stress_u = Leidsevaart_3_wind_stress_u, wind_stress_v = Leidsevaart_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {3.0, 201.0}, extent = {{-3, -3}, {3, 3}}, rotation = 49.5297)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Nieuwe__Rijn_1(C(each nominal = 0.1), Q(each min=-Nieuwe__Rijn_1_MaxQ, each max=Nieuwe__Rijn_1_MaxQ), Q_nominal = Nieuwe__Rijn_1_Q_nominal, C_nominal = fill(Nieuwe__Rijn_1_C_nominal, Nieuwe__Rijn_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.6099, H_b_down = -3.6099, uniform_nominal_depth = Nieuwe__Rijn_1_H_nominal - Nieuwe__Rijn_1.H_b_down, length = 4142.6561, width_up = 40.0916, width_down = 40.0916, friction_coefficient = 39.2941, n_level_nodes = 2, rotation_deg = -164.6611, wind_stress_u = Nieuwe__Rijn_1_wind_stress_u, wind_stress_v = Nieuwe__Rijn_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-100.0, -58.0}, extent = {{-3, -3}, {3, 3}}, rotation = -164.6611)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Nieuwe_Meer_1(C(each nominal = 0.1), Q(each min=-Nieuwe_Meer_1_MaxQ, each max=Nieuwe_Meer_1_MaxQ), Q_nominal = Nieuwe_Meer_1_Q_nominal, C_nominal = fill(Nieuwe_Meer_1_C_nominal, Nieuwe_Meer_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -4.0194, H_b_down = -4.0194, uniform_nominal_depth = Nieuwe_Meer_1_H_nominal - Nieuwe_Meer_1.H_b_down, length = 2926.634, width_up = 148.075, width_down = 148.075, friction_coefficient = 40.3921, n_level_nodes = 2, rotation_deg = -149.6299, wind_stress_u = Nieuwe_Meer_1_wind_stress_u, wind_stress_v = Nieuwe_Meer_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {157.0, 153.0}, extent = {{-3, -3}, {3, 3}}, rotation = -149.6299)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Nieuwe_Vaart_1(C(each nominal = 0.1), Q(each min=-Nieuwe_Vaart_1_MaxQ, each max=Nieuwe_Vaart_1_MaxQ), Q_nominal = Nieuwe_Vaart_1_Q_nominal, C_nominal = fill(Nieuwe_Vaart_1_C_nominal, Nieuwe_Vaart_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.3003, H_b_down = -3.3003, uniform_nominal_depth = Nieuwe_Vaart_1_H_nominal - Nieuwe_Vaart_1.H_b_down, length = 4000.0, width_up = 37.0505, width_down = 37.0505, friction_coefficient = 38.6431, n_level_nodes = 2, rotation_deg = 132.4053, wind_stress_u = Nieuwe_Vaart_1_wind_stress_u, wind_stress_v = Nieuwe_Vaart_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-122.0, -122.0}, extent = {{-3, -3}, {3, 3}}, rotation = 132.4053)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oegstgeesterkanaal_2(C(each nominal = 0.1), Q(each min=-Oegstgeesterkanaal_2_MaxQ, each max=Oegstgeesterkanaal_2_MaxQ), Q_nominal = Oegstgeesterkanaal_2_Q_nominal, C_nominal = fill(Oegstgeesterkanaal_2_C_nominal, Oegstgeesterkanaal_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -5.4857, H_b_down = -5.4857, uniform_nominal_depth = Oegstgeesterkanaal_2_H_nominal - Oegstgeesterkanaal_2.H_b_down, length = 1908.7965, width_up = 73.0299, width_down = 73.0299, friction_coefficient = 50, n_level_nodes = 2, rotation_deg = 142.5903, wind_stress_u = Oegstgeesterkanaal_2_wind_stress_u, wind_stress_v = Oegstgeesterkanaal_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-152.0, -1.0}, extent = {{-3, -3}, {3, 3}}, rotation = 142.5903)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oegstgeesterkanaal_3(C(each nominal = 0.1), Q(each min=-Oegstgeesterkanaal_3_MaxQ, each max=Oegstgeesterkanaal_3_MaxQ), Q_nominal = Oegstgeesterkanaal_3_Q_nominal, C_nominal = fill(Oegstgeesterkanaal_3_C_nominal, Oegstgeesterkanaal_3.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -4.1594, H_b_down = -4.1594, uniform_nominal_depth = Oegstgeesterkanaal_3_H_nominal - Oegstgeesterkanaal_3.H_b_down, length = 5358.9449, width_up = 39.069, width_down = 39.069, friction_coefficient = 40.3771, n_level_nodes = 2, rotation_deg = 173.3159, wind_stress_u = Oegstgeesterkanaal_3_wind_stress_u, wind_stress_v = Oegstgeesterkanaal_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-117.0, -11.0}, extent = {{-3, -3}, {3, 3}}, rotation = 173.3159)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oude_Rijn_1(C(each nominal = 0.1), Q(each min=-Oude_Rijn_1_MaxQ, each max=Oude_Rijn_1_MaxQ), Q_nominal = Oude_Rijn_1_Q_nominal, C_nominal = fill(Oude_Rijn_1_C_nominal, Oude_Rijn_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.2153, H_b_down = -3.2153, uniform_nominal_depth = Oude_Rijn_1_H_nominal - Oude_Rijn_1.H_b_down, length = 6971.9156, width_up = 39.115, width_down = 39.115, friction_coefficient = 50, n_level_nodes = 2, rotation_deg = 142.0253, wind_stress_u = Oude_Rijn_1_wind_stress_u, wind_stress_v = Oude_Rijn_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {64.0, -125.0}, extent = {{-3, -3}, {3, 3}}, rotation = 142.0253)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oude_Rijn_2(C(each nominal = 0.1), Q(each min=-Oude_Rijn_2_MaxQ, each max=Oude_Rijn_2_MaxQ), Q_nominal = Oude_Rijn_2_Q_nominal, C_nominal = fill(Oude_Rijn_2_C_nominal, Oude_Rijn_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.7233, H_b_down = -3.7233, uniform_nominal_depth = Oude_Rijn_2_H_nominal - Oude_Rijn_2.H_b_down, length = 3884.5732, width_up = 69.977, width_down = 69.977, friction_coefficient = 39.6866, n_level_nodes = 2, rotation_deg = 125.3067, wind_stress_u = Oude_Rijn_2_wind_stress_u, wind_stress_v = Oude_Rijn_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {28.0, -90.0}, extent = {{-3, -3}, {3, 3}}, rotation = 125.3067)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oude_Rijn_3(C(each nominal = 0.1), Q(each min=-Oude_Rijn_3_MaxQ, each max=Oude_Rijn_3_MaxQ), Q_nominal = Oude_Rijn_3_Q_nominal, C_nominal = fill(Oude_Rijn_3_C_nominal, Oude_Rijn_3.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.586, H_b_down = -3.586, uniform_nominal_depth = Oude_Rijn_3_H_nominal - Oude_Rijn_3.H_b_down, length = 8709.9192, width_up = 44.9525, width_down = 44.9525, friction_coefficient = 39.2847, n_level_nodes = 2, rotation_deg = -179.5956, wind_stress_u = Oude_Rijn_3_wind_stress_u, wind_stress_v = Oude_Rijn_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-24.0, -76.0}, extent = {{-3, -3}, {3, 3}}, rotation = -179.5956)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oude_Rijn_4(C(each nominal = 0.1), Q(each min=-Oude_Rijn_4_MaxQ, each max=Oude_Rijn_4_MaxQ), Q_nominal = Oude_Rijn_4_Q_nominal, C_nominal = fill(Oude_Rijn_4_C_nominal, Oude_Rijn_4.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.4184, H_b_down = -3.4184, uniform_nominal_depth = Oude_Rijn_4_H_nominal - Oude_Rijn_4.H_b_down, length = 2915.3444, width_up = 33.0208, width_down = 33.0208, friction_coefficient = 38.8166, n_level_nodes = 2, rotation_deg = 124.706, wind_stress_u = Oude_Rijn_4_wind_stress_u, wind_stress_v = Oude_Rijn_4_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-73.0, -65.0}, extent = {{-3, -3}, {3, 3}}, rotation = 124.706)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Oude_Wetering_1(C(each nominal = 0.1), Q(each min=-Oude_Wetering_1_MaxQ, each max=Oude_Wetering_1_MaxQ), Q_nominal = Oude_Wetering_1_Q_nominal, C_nominal = fill(Oude_Wetering_1_C_nominal, Oude_Wetering_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.9408, H_b_down = -2.9408, uniform_nominal_depth = Oude_Wetering_1_H_nominal - Oude_Wetering_1.H_b_down, length = 3849.0632, width_up = 39.0, width_down = 39.0, friction_coefficient = 37.8009, n_level_nodes = 2, rotation_deg = 109.4317, wind_stress_u = Oude_Wetering_1_wind_stress_u, wind_stress_v = Oude_Wetering_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {23.0, 0.0}, extent = {{-3, -3}, {3, 3}}, rotation = 109.4317)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Rijn_1(C(each nominal = 0.1), Q(each min=-Rijn_1_MaxQ, each max=Rijn_1_MaxQ), Q_nominal = Rijn_1_Q_nominal, C_nominal = fill(Rijn_1_C_nominal, Rijn_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -4.6578, H_b_down = -4.6578, uniform_nominal_depth = Rijn_1_H_nominal - Rijn_1.H_b_down, length = 6420.7614, width_up = 41.0675, width_down = 41.0675, friction_coefficient = 41.2176, n_level_nodes = 2, rotation_deg = 113.7183, wind_stress_u = Rijn_1_wind_stress_u, wind_stress_v = Rijn_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-132.0, -35.0}, extent = {{-3, -3}, {3, 3}}, rotation = 113.7183)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Rijn_Schiet_1(C(each nominal = 0.1), Q(each min=-Rijn_Schiet_1_MaxQ, each max=Rijn_Schiet_1_MaxQ), Q_nominal = Rijn_Schiet_1_Q_nominal, C_nominal = fill(Rijn_Schiet_1_C_nominal, Rijn_Schiet_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.1138, H_b_down = -3.1138, uniform_nominal_depth = Rijn_Schiet_1_H_nominal - Rijn_Schiet_1.H_b_down, length = 4642.4277, width_up = 36.12, width_down = 36.12, friction_coefficient = 38.2175, n_level_nodes = 2, rotation_deg = 43.1892, wind_stress_u = Rijn_Schiet_1_wind_stress_u, wind_stress_v = Rijn_Schiet_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-98.0, -69.0}, extent = {{-3, -3}, {3, 3}}, rotation = 43.1892)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Rijn_schiet_2(C(each nominal = 0.1), Q(each min=-Rijn_schiet_2_MaxQ, each max=Rijn_schiet_2_MaxQ), Q_nominal = Rijn_schiet_2_Q_nominal, C_nominal = fill(Rijn_schiet_2_C_nominal, Rijn_schiet_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.2506, H_b_down = -3.2506, uniform_nominal_depth = Rijn_schiet_2_H_nominal - Rijn_schiet_2.H_b_down, length = 1417.7152, width_up = 36.935, width_down = 36.935, friction_coefficient = 38.5348, n_level_nodes = 2, rotation_deg = 82.2705, wind_stress_u = Rijn_schiet_2_wind_stress_u, wind_stress_v = Rijn_schiet_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-80.0, -45.0}, extent = {{-3, -3}, {3, 3}}, rotation = 82.2705)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Rijn_Schiet_3(C(each nominal = 0.1), Q(each min=-Rijn_Schiet_3_MaxQ, each max=Rijn_Schiet_3_MaxQ), Q_nominal = Rijn_Schiet_3_Q_nominal, C_nominal = fill(Rijn_Schiet_3_C_nominal, Rijn_Schiet_3.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.5509, H_b_down = -3.5509, uniform_nominal_depth = Rijn_Schiet_3_H_nominal - Rijn_Schiet_3.H_b_down, length = 2965.7625, width_up = 59.615, width_down = 59.615, friction_coefficient = 39.3229, n_level_nodes = 2, rotation_deg = 115.5854, wind_stress_u = Rijn_Schiet_3_wind_stress_u, wind_stress_v = Rijn_Schiet_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-85.0, -26.0}, extent = {{-3, -3}, {3, 3}}, rotation = 115.5854)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_1(C(each nominal = 0.1), Q(each min=-Ringvaart_1_MaxQ, each max=Ringvaart_1_MaxQ), Q_nominal = Ringvaart_1_Q_nominal, C_nominal = fill(Ringvaart_1_C_nominal, Ringvaart_1.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.9408, H_b_down = -2.9408, uniform_nominal_depth = Ringvaart_1_H_nominal - Ringvaart_1.H_b_down, length = 6375.7941, width_up = 39.0, width_down = 39.0, friction_coefficient = 37.8009, n_level_nodes = 2, rotation_deg = -179.6413, wind_stress_u = Ringvaart_1_wind_stress_u, wind_stress_v = Ringvaart_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-16.0, 19.0}, extent = {{-3, -3}, {3, 3}}, rotation = -179.6413)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_2(C(each nominal = 0.1), Q(each min=-Ringvaart_2_MaxQ, each max=Ringvaart_2_MaxQ), Q_nominal = Ringvaart_2_Q_nominal, C_nominal = fill(Ringvaart_2_C_nominal, Ringvaart_2.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.4034, H_b_down = -3.4034, uniform_nominal_depth = Ringvaart_2_H_nominal - Ringvaart_2.H_b_down, length = 17898.8646, width_up = 50.32, width_down = 50.32, friction_coefficient = 38.9814, n_level_nodes = 2, rotation_deg = 44.7328, wind_stress_u = Ringvaart_2_wind_stress_u, wind_stress_v = Ringvaart_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {81.0, 83.0}, extent = {{-3, -3}, {3, 3}}, rotation = 44.7328)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_3(C(each nominal = 0.1), Q(each min=-Ringvaart_3_MaxQ, each max=Ringvaart_3_MaxQ), Q_nominal = Ringvaart_3_Q_nominal, C_nominal = fill(Ringvaart_3_C_nominal, Ringvaart_3.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.2808, H_b_down = -3.2808, uniform_nominal_depth = Ringvaart_3_H_nominal - Ringvaart_3.H_b_down, length = 2412.988, width_up = 43.14, width_down = 43.14, friction_coefficient = 38.6655, n_level_nodes = 2, rotation_deg = 137.1666, wind_stress_u = Ringvaart_3_wind_stress_u, wind_stress_v = Ringvaart_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {136.0, 156.0}, extent = {{-3, -3}, {3, 3}}, rotation = 137.1666)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_4(C(each nominal = 0.1), Q(each min=-Ringvaart_4_MaxQ, each max=Ringvaart_4_MaxQ), Q_nominal = Ringvaart_4_Q_nominal, C_nominal = fill(Ringvaart_4_C_nominal, Ringvaart_4.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.284, H_b_down = -3.284, uniform_nominal_depth = Ringvaart_4_H_nominal - Ringvaart_4.H_b_down, length = 6176.0224, width_up = 43.3, width_down = 43.3, friction_coefficient = 38.6739, n_level_nodes = 2, rotation_deg = 121.7859, wind_stress_u = Ringvaart_4_wind_stress_u, wind_stress_v = Ringvaart_4_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {111.0, 190.0}, extent = {{-3, -3}, {3, 3}}, rotation = 121.7859)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_5(C(each nominal = 0.1), Q(each min=-Ringvaart_5_MaxQ, each max=Ringvaart_5_MaxQ), Q_nominal = Ringvaart_5_Q_nominal, C_nominal = fill(Ringvaart_5_C_nominal, Ringvaart_5.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.2064, H_b_down = -3.2064, uniform_nominal_depth = Ringvaart_5_H_nominal - Ringvaart_5.H_b_down, length = 5041.0792, width_up = 39.7, width_down = 39.7, friction_coefficient = 38.4684, n_level_nodes = 2, rotation_deg = -173.2662, wind_stress_u = Ringvaart_5_wind_stress_u, wind_stress_v = Ringvaart_5_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {69.0, 212.0}, extent = {{-3, -3}, {3, 3}}, rotation = -173.2662)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_6(C(each nominal = 0.1), Q(each min=-Ringvaart_6_MaxQ, each max=Ringvaart_6_MaxQ), Q_nominal = Ringvaart_6_Q_nominal, C_nominal = fill(Ringvaart_6_C_nominal, Ringvaart_6.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.1306, H_b_down = -3.1306, uniform_nominal_depth = Ringvaart_6_H_nominal - Ringvaart_6.H_b_down, length = 693.1048, width_up = 36.72, width_down = 36.72, friction_coefficient = 38.2635, n_level_nodes = 2, rotation_deg = -131.1323, wind_stress_u = Ringvaart_6_wind_stress_u, wind_stress_v = Ringvaart_6_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {41.0, 206.0}, extent = {{-3, -3}, {3, 3}}, rotation = -131.1323)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_7(C(each nominal = 0.1), Q(each min=-Ringvaart_7_MaxQ, each max=Ringvaart_7_MaxQ), Q_nominal = Ringvaart_7_Q_nominal, C_nominal = fill(Ringvaart_7_C_nominal, Ringvaart_7.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -2.9065, H_b_down = -2.9065, uniform_nominal_depth = Ringvaart_7_H_nominal - Ringvaart_7.H_b_down, length = 5257.5537, width_up = 37.18, width_down = 37.18, friction_coefficient = 37.6997, n_level_nodes = 2, rotation_deg = -120.8123, wind_stress_u = Ringvaart_7_wind_stress_u, wind_stress_v = Ringvaart_7_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {26.0, 183.0}, extent = {{-3, -3}, {3, 3}}, rotation = -120.8123)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_8(C(each nominal = 0.1), Q(each min=-Ringvaart_8_MaxQ, each max=Ringvaart_8_MaxQ), Q_nominal = Ringvaart_8_Q_nominal, C_nominal = fill(Ringvaart_8_C_nominal, Ringvaart_8.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.1457, H_b_down = -3.1457, uniform_nominal_depth = Ringvaart_8_H_nominal - Ringvaart_8.H_b_down, length = 7300.5453, width_up = 37.28, width_down = 37.28, friction_coefficient = 38.3049, n_level_nodes = 2, rotation_deg = 60.2597, wind_stress_u = Ringvaart_8_wind_stress_u, wind_stress_v = Ringvaart_8_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-4.0, 130.0}, extent = {{-3, -3}, {3, 3}}, rotation = 60.2597)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Ringvaart_9(C(each nominal = 0.1), Q(each min=-Ringvaart_9_MaxQ, each max=Ringvaart_9_MaxQ), Q_nominal = Ringvaart_9_Q_nominal, C_nominal = fill(Ringvaart_9_C_nominal, Ringvaart_9.HQUp.medium.n_substances), redeclare package medium = Medium,theta = theta_fudge, H_b_up = -3.1138, H_b_down = -3.1138, uniform_nominal_depth = Ringvaart_9_H_nominal - Ringvaart_9.H_b_down, length = 8542.2652, width_up = 36.12, width_down = 36.12, friction_coefficient = 38.2175, n_level_nodes = 2, rotation_deg = 71.249, wind_stress_u = Ringvaart_9_wind_stress_u, wind_stress_v = Ringvaart_9_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-36.0, 59.0}, extent = {{-3, -3}, {3, 3}}, rotation = 71.249)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Spaarne_2(C(each nominal = 0.1), Q(each min=-Spaarne_2_MaxQ, each max=Spaarne_2_MaxQ), Q_nominal = Spaarne_2_Q_nominal, C_nominal = fill(Spaarne_2_C_nominal, Spaarne_2.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -4.0194, H_b_down = -4.0194, uniform_nominal_depth = Spaarne_2_H_nominal - Spaarne_2.H_b_down, length = 144.0816, width_up = 40, width_down = 40, friction_coefficient = 30, n_level_nodes = 2, rotation_deg = 79.8655, wind_stress_u = Spaarne_2_wind_stress_u, wind_stress_v = Spaarne_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {40.0, 248.0}, extent = {{-3, -3}, {3, 3}}, rotation = 79.8655)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Spaarne_3(C(each nominal = 0.1), Q(each min=-Spaarne_3_MaxQ, each max=Spaarne_3_MaxQ), Q_nominal = Spaarne_3_Q_nominal, C_nominal = fill(Spaarne_3_C_nominal, Spaarne_3.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -4.0421, H_b_down = -4.0421, uniform_nominal_depth = Spaarne_3_H_nominal - Spaarne_3.H_b_down, length = 3865.8364, width_up = 76.965, width_down = 76.965, friction_coefficient = 40.3695, n_level_nodes = 2, rotation_deg = 52.5293, wind_stress_u = Spaarne_3_wind_stress_u, wind_stress_v = Spaarne_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {28.0, 232.0}, extent = {{-3, -3}, {3, 3}}, rotation = 52.5293)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Spaarne_4(C(each nominal = 0.1), Q(each min=-Spaarne_4_MaxQ, each max=Spaarne_4_MaxQ), Q_nominal = Spaarne_4_Q_nominal, C_nominal = fill(Spaarne_4_C_nominal, Spaarne_4.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.3097, H_b_down = -3.3097, uniform_nominal_depth = Spaarne_4_H_nominal - Spaarne_4.H_b_down, length = 1362.0668, width_up = 31.145, width_down = 31.145, friction_coefficient = 38.5988, n_level_nodes = 2, rotation_deg = 86.5687, wind_stress_u = Spaarne_4_wind_stress_u, wind_stress_v = Spaarne_4_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {16.0, 212.0}, extent = {{-3, -3}, {3, 3}}, rotation = 86.5687)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Spaarne_5(C(each nominal = 0.1), Q(each min=-Spaarne_5_MaxQ, each max=Spaarne_5_MaxQ), Q_nominal = Spaarne_5_Q_nominal, C_nominal = fill(Spaarne_5_C_nominal, Spaarne_5.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.9742, H_b_down = -3.9742, uniform_nominal_depth = Spaarne_5_H_nominal - Spaarne_5.H_b_down, length = 4619.9042, width_up = 67.725, width_down = 67.725, friction_coefficient = 40.2171, n_level_nodes = 2, rotation_deg = 87.5553, wind_stress_u = Spaarne_5_wind_stress_u, wind_stress_v = Spaarne_5_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {15.0, 185.0}, extent = {{-3, -3}, {3, 3}}, rotation = 87.5553)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Vliet_1(C(each nominal = 0.1), Q(each min=-Vliet_1_MaxQ, each max=Vliet_1_MaxQ), Q_nominal = Vliet_1_Q_nominal, C_nominal = fill(Vliet_1_C_nominal, Vliet_1.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.3003, H_b_down = -3.3003, uniform_nominal_depth = Vliet_1_H_nominal - Vliet_1.H_b_down, length = 5008.9581, width_up = 37.0505, width_down = 37.0505, friction_coefficient = 38.6431, n_level_nodes = 2, rotation_deg = 47.6446, wind_stress_u = Vliet_1_wind_stress_u, wind_stress_v = Vliet_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-151.0, -129.0}, extent = {{-3, -3}, {3, 3}}, rotation = 47.6446)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Vliet_2(C(each nominal = 0.1), Q(each min=-Vliet_2_MaxQ, each max=Vliet_2_MaxQ), Q_nominal = Vliet_2_Q_nominal, C_nominal = fill(Vliet_2_C_nominal, Vliet_2.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.2108, H_b_down = -3.2108, uniform_nominal_depth = Vliet_2_H_nominal - Vliet_2.H_b_down, length = 2818.0207, width_up = 33.0505, width_down = 33.0505, friction_coefficient = 38.3965, n_level_nodes = 2, rotation_deg = 54.3712, wind_stress_u = Vliet_2_wind_stress_u, wind_stress_v = Vliet_2_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-124.0, -97.0}, extent = {{-3, -3}, {3, 3}}, rotation = 54.3712)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Vliet_3(C(each nominal = 0.1), Q(each min=-Vliet_3_MaxQ, each max=Vliet_3_MaxQ), Q_nominal = Vliet_3_Q_nominal, C_nominal = fill(Vliet_3_C_nominal, Vliet_3.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.5367, H_b_down = -3.5367, uniform_nominal_depth = Vliet_3_H_nominal - Vliet_3.H_b_down, length = 2062.1569, width_up = 35.0213, width_down = 35.0213, friction_coefficient = 39.0876, n_level_nodes = 2, rotation_deg = 100.8664, wind_stress_u = Vliet_3_wind_stress_u, wind_stress_v = Vliet_3_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-117.0, -74.0}, extent = {{-3, -3}, {3, 3}}, rotation = 100.8664)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Warmonderleede_1(C(each nominal = 0.1), Q(each min=-Warmonderleede_1_MaxQ, each max=Warmonderleede_1_MaxQ), Q_nominal = Warmonderleede_1_Q_nominal, C_nominal = fill(Warmonderleede_1_C_nominal, Warmonderleede_1.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.401, H_b_down = -3.401, uniform_nominal_depth = Warmonderleede_1_H_nominal - Warmonderleede_1.H_b_down, length = 5458.5208, width_up = 45.625, width_down = 45.625, friction_coefficient = 38.9367, n_level_nodes = 2, rotation_deg = -141.9154, wind_stress_u = Warmonderleede_1_wind_stress_u, wind_stress_v = Warmonderleede_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-70.0, 2.0}, extent = {{-3, -3}, {3, 3}}, rotation = -141.9154)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Weipoortse_Vliet_1(C(each nominal = 0.1), Q(each min=-Weipoortse_Vliet_1_MaxQ, each max=Weipoortse_Vliet_1_MaxQ), Q_nominal = Weipoortse_Vliet_1_Q_nominal, C_nominal = fill(Weipoortse_Vliet_1_C_nominal, Weipoortse_Vliet_1.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.2506, H_b_down = -3.2506, uniform_nominal_depth = Weipoortse_Vliet_1_H_nominal - Weipoortse_Vliet_1.H_b_down, length = 8197.193, width_up = 36.935, width_down = 36.935, friction_coefficient = 38.5348, n_level_nodes = 2, rotation_deg = 51.6143, wind_stress_u = Weipoortse_Vliet_1_wind_stress_u, wind_stress_v = Weipoortse_Vliet_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {-87.0, -106.0}, extent = {{-3, -3}, {3, 3}}, rotation = 51.6143)));
  Deltares.ChannelFlow.Hydraulic.Branches.HomotopicLinear Woudwetering_1(C(each nominal = 0.1), Q(each min=-Woudwetering_1_MaxQ, each max=Woudwetering_1_MaxQ), Q_nominal = Woudwetering_1_Q_nominal, C_nominal = fill(Woudwetering_1_C_nominal, Woudwetering_1.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge, H_b_up = -3.4219, H_b_down = -3.4219, uniform_nominal_depth = Woudwetering_1_H_nominal - Woudwetering_1.H_b_down, length = 4416.5555, width_up = 43.015, width_down = 43.015, friction_coefficient = 38.9689, n_level_nodes = 2, rotation_deg = -76.1095, wind_stress_u = Woudwetering_1_wind_stress_u, wind_stress_v = Woudwetering_1_wind_stress_v) annotation(Placement(visible = true, transformation(origin = {12.0, -53.0}, extent = {{-3, -3}, {3, 3}}, rotation = -76.1095)));

// lateral inflow
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_01(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-114.0, -58.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_02(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-76.0, -48.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_03(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-105.0, -129.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_04(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {23.0, -71.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_05(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {75.0, -29.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_06(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {11.0, -25.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_07(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-60.0, -72.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_08(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-86.0, -9.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_09(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-128.0, -104.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_10(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-74.0, -33.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_11(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {35.0, -15.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_12(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {22.0, 222.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_13(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {48.0, 214.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_14(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {21.0, 212.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_15(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-17.0, 103.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_16(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-44.0, 24.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_17(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {44.0, 208.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_18(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {150.0, 152.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_19(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {30.0, -197.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_20(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-139.0, -3.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_21(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {100.0, 220.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_22(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {45.0, 253.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Alphen(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {43.0, -99.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Boskoop(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {32.0, -151.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Bodegraven(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {96.0, -141.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Heemstede_A(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-5.0, 190.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Heemstede_C(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {19.0, 167.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Leiden(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-110.0, -80.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Leidschendam(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-164.0, -144.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Lisse(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-46.0, 116.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Nieuwe_Wetering(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {21.0, 24.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Sloten(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {132.0, 169.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Tolhuissluis(M(each nominal = 0.01), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {88.0, 6.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
//precipitation
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_BG_Gouda(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {57.0, -249.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_BG_Halfweg(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {117.0, 225.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_BG_Katwijk(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-155.0, 5.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_BG_Spaarndam(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {46.0, 249.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Alphen(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {43.0, -104.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Bodegraven(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {96.0, -146.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Boskoop(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {32.0, -156.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Heemstede_A(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-5.0, 185.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Heemstede_C(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {19.0, 162.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Leiden(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-110.0, -85.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Leidschendam(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-164.0, -149.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Lisse(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-46.0, 111.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Nieuwe_Wetering(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {21.0, 19.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Sloten(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {132.0, 164.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_Tolhuissluis(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {88.0, 1.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_01(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-114.0, -63.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_02(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-76.0, -53.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_03(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-105.0, -134.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_04(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {23.0, -76.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_05(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {75.0, -34.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_06(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {11.0, -30.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_07(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-60.0, -77.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_08(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-86.0, -14.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_09(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-128.0, -109.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_10(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-74.0, -38.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_11(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {35.0, -20.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_12(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {22.0, 217.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_13(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {48.0, 209.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_14(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {21.0, 207.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_15(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-17.0, 98.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_16(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-44.0, 19.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_17(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {44.0, 203.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge P_18(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {150.0, 147.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
//evapotranspiration
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_BG_Gouda(M=fill(0.0, E_BG_Gouda.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {57.0, -254.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_BG_Halfweg(M=fill(0.0, E_BG_Halfweg.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {117.0, 221.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_BG_Katwijk(M=fill(0.0, E_BG_Katwijk.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-155.0, 1.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_BG_Spaarndam(M=fill(0.0, E_BG_Spaarndam.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {46.0, 244.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Alphen(M=fill(0.0, E_Alphen.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {43.0, -109.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Bodegraven(M=fill(0.0, E_Bodegraven.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {96.0, -151.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Boskoop(M=fill(0.0, E_Boskoop.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {32.0, -161.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Heemstede_A(M=fill(0.0, E_Heemstede_A.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-5.0, 180.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Heemstede_C(M=fill(0.0, E_Heemstede_C.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {19.0, 157.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Leiden(M=fill(0.0, E_Leiden.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-110.0, -90.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Leidschendam(M=fill(0.0, E_Leidschendam.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-164.0, -154.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Lisse(M=fill(0.0, E_Lisse.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-46.0, 106.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Nieuwe_Wetering(M=fill(0.0, E_Nieuwe_Wetering.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {21.0, 14.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Sloten(M=fill(0.0, E_Sloten.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {132.0, 159.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_Tolhuissluis(M=fill(0.0, E_Tolhuissluis.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {88.0, -4.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_01(M=fill(0.0, E_01.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-114.0, -68.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_02(M=fill(0.0, E_02.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-76.0, -58.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_03(M=fill(0.0, E_03.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-105.0, -139.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_04(M=fill(0.0, E_04.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {23.0, -81.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_05(M=fill(0.0, E_05.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {75.0, -39.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_06(M=fill(0.0, E_06.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {11.0, -35.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_07(M=fill(0.0, E_07.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-60.0, -82.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_08(M=fill(0.0, E_08.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-86.0, -19.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_09(M=fill(0.0, E_09.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-128.0, -114.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_10(M=fill(0.0, E_10.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-74.0, -43.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_11(M=fill(0.0, E_11.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {35.0, -25.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_12(M=fill(0.0, E_12.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {22.0, 212.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_13(M=fill(0.0, E_13.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {48.0, 204.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_14(M=fill(0.0, E_14.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {21.0, 202.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_15(M=fill(0.0, E_15.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-17.0, 93.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_16(M=fill(0.0, E_16.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-44.0, 14.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_17(M=fill(0.0, E_17.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {44.0, 198.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge E_18(M=fill(0.0, E_18.HQ.medium.n_substances), upwind=false, redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {150.0, 142.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
// discharge boundary Bodegraven (eigenlijk een eindknoop, waar een debiet opgegeven wordt - alleen inflow (positief))
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge ML_Bodegraven(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {86.0, -146.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
// Externe tijdreeks met Quitlaat bij Gemaal Dolk (in het kader van KWA).
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge GEM_Dolk(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-164.0, -139.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
// discharge boundary 0 flow
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge L_Amsterdam_NM(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {173, 165}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));

  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Level Eindk_Gouda(C(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {49, -254}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Level Eindk_Halfweg(redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {112.0, 235.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Level Eindk_Katwijk(redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {-170.0, 5.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Level Eindk_Spaarndam(redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {41.0, 259.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  // storage nodes piekberging
  Deltares.ChannelFlow.Hydraulic.Storage.Linear Eindk_Haarlemmermeer(V_nominal = Eindk_Haarlemmermeer_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(Eindk_Haarlemmermeer_C_nominal, Eindk_Haarlemmermeer.HQ.medium.n_substances), redeclare package medium = Medium , A = 200000.0, H_b = -1.1, V(nominal = 200000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-49.0, 9.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear Eindk_N3MP(V_nominal = Eindk_N3MP_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(Eindk_N3MP_C_nominal, Eindk_N3MP.HQ.medium.n_substances), redeclare package medium = Medium , A = 340000.0, H_b = -1.1, V(nominal = 340000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-110.0, -144.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));

// storage nodes boezem gemalen
  Deltares.ChannelFlow.Hydraulic.Storage.Linear BG_Gouda(V_nominal = BG_Gouda_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(BG_Gouda_C_nominal, BG_Gouda.HQ.medium.n_substances), redeclare package medium = Medium , A = 317000.0, H_b = -2.5883, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 317000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {52.0, -249.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear BG_Halfweg(V_nominal = BG_Halfweg_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(BG_Halfweg_C_nominal, BG_Halfweg.HQ.medium.n_substances), redeclare package medium = Medium , A = 535500.0, H_b = -2.5883, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 535500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {112.0, 225.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear BG_Katwijk(V_nominal = BG_Katwijk_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(BG_Katwijk_C_nominal, BG_Katwijk.HQ.medium.n_substances), redeclare package medium = Medium , A = 1030000.0, H_b = -2.5883, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1030000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-160.0, 5.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear BG_Spaarndam(V_nominal = BG_Spaarndam_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(BG_Spaarndam_C_nominal, BG_Spaarndam.HQ.medium.n_substances), redeclare package medium = Medium , A = 1351500.0, H_b = -2.5883, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1351500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {41.0, 249.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
// storage nodes meetlocaties
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Alphen(V_nominal = ML_Alphen_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Alphen_C_nominal, ML_Alphen.HQ.medium.n_substances), redeclare package medium = Medium , A = 946500.0, H_b = -2.3237, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 946500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {38.0, -104.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Amsterdam_NM(V_nominal = ML_Amsterdam_NM_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Amsterdam_NM_C_nominal, ML_Amsterdam_NM.HQ.medium.n_substances), redeclare package medium = Medium , A = 15500.0, H_b = -2.0, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 15500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {168, 160}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Boskoop(V_nominal = ML_Boskoop_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Boskoop_C_nominal, ML_Boskoop.HQ.medium.n_substances), redeclare package medium = Medium , A = 217000.0, H_b = -1.7494, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 217000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {27.0, -156.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Heemstede_A(V_nominal = ML_Heemstede_A_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Heemstede_A_C_nominal, ML_Heemstede_A.HQ.medium.n_substances), redeclare package medium = Medium , A = 456000.0, H_b = -1.0764, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 456000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-10.0, 185.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Heemstede_C(V_nominal = ML_Heemstede_C_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Heemstede_C_C_nominal, ML_Heemstede_C.HQ.medium.n_substances), redeclare package medium = Medium , A = 705000.0, H_b = -1.3816, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 705000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {14.0, 162.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Leiden(V_nominal = ML_Leiden_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Leiden_C_nominal, ML_Leiden.HQ.medium.n_substances), redeclare package medium = Medium , A = 420500.0, H_b = -1.3816, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 420500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-115.0, -85.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Leidschendam(V_nominal = ML_Leidschendam_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Leidschendam_C_nominal, ML_Leidschendam.HQ.medium.n_substances), redeclare package medium = Medium , A = 166500.0, H_b = -2.0, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 166500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-169.0, -149.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Lisse(V_nominal = ML_Lisse_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Lisse_C_nominal, ML_Lisse.HQ.medium.n_substances), redeclare package medium = Medium , A = 1254000.0, H_b = -2.207, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1254000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-51.0, 111.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Nieuwe_Wetering(V_nominal = ML_Nieuwe_Wetering_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Nieuwe_Wetering_C_nominal, ML_Nieuwe_Wetering.HQ.medium.n_substances), redeclare package medium = Medium , A = 8899500.0, H_b = -3.04, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 8899500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {16.0, 19.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Sloten(V_nominal = ML_Sloten_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Sloten_C_nominal, ML_Sloten.HQ.medium.n_substances), redeclare package medium = Medium , A = 177000.0, H_b = -2.0, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 177000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {127.0, 164.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear ML_Tolhuissluis(V_nominal = ML_Tolhuissluis_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(ML_Tolhuissluis_C_nominal, ML_Tolhuissluis.HQ.medium.n_substances), redeclare package medium = Medium , A = 65500.0, H_b = -1.8986, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 65500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {83.0, 1.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
// gewone storage nodes
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_Bodegraven(V_nominal = SN_Bodegraven_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_Bodegraven_C_nominal, SN_Bodegraven.HQ.medium.n_substances), redeclare package medium = Medium , A = 142500.0, H_b = -1.765, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 142500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {91.0, -146.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_01(V_nominal = SN_01_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_01_C_nominal, SN_01.HQ.medium.n_substances), redeclare package medium = Medium , A = 1757500.0, H_b = -2.731, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1757500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-119.0, -63.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_02(V_nominal = SN_02_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_02_C_nominal, SN_02.HQ.medium.n_substances), redeclare package medium = Medium , A = 442000.0, H_b = -1.6558, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 442000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-81.0, -53.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_03(V_nominal = SN_03_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_03_C_nominal, SN_03.HQ.medium.n_substances), redeclare package medium = Medium , A = 237000.0, H_b = -2.0, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 237000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-110.0, -134.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_04(V_nominal = SN_04_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_04_C_nominal, SN_04.HQ.medium.n_substances), redeclare package medium = Medium , A = 532500.0, H_b = -1.5092, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 532500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {18.0, -76.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_05(V_nominal = SN_05_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_05_C_nominal, SN_05.HQ.medium.n_substances), redeclare package medium = Medium , A = 282500.0, H_b = -1.0297, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 282500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {70.0, -34.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_06(V_nominal = SN_06_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_06_C_nominal, SN_06.HQ.medium.n_substances), redeclare package medium = Medium , A = 1489500.0, H_b = -2.6461, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1489500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {6.0, -30.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_07(V_nominal = SN_07_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_07_C_nominal, SN_07.HQ.medium.n_substances), redeclare package medium = Medium , A = 546500.0, H_b = -1.8986, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 546500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-65.0, -77.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_08(V_nominal = SN_08_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_08_C_nominal, SN_08.HQ.medium.n_substances), redeclare package medium = Medium , A = 1860000.0, H_b = -5.0633, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1860000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-91.0, -14.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_09(V_nominal = SN_09_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_09_C_nominal, SN_09.HQ.medium.n_substances), redeclare package medium = Medium , A = 1536000.0, H_b = -5.4779, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 1536000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-133.0, -109.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_10(V_nominal = SN_10_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_10_C_nominal, SN_10.HQ.medium.n_substances), redeclare package medium = Medium , A = 421500.0, H_b = -1.3263, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 421500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-79.0, -38.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_11(V_nominal = SN_11_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_11_C_nominal, SN_11.HQ.medium.n_substances), redeclare package medium = Medium , A = 2617500.0, H_b = -3.97, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 2617500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {30.0, -20.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_12(V_nominal = SN_12_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_12_C_nominal, SN_12.HQ.medium.n_substances), redeclare package medium = Medium , A = 484000.0, H_b = -1.3643, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 484000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {17.0, 217.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_13(V_nominal = SN_13_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_13_C_nominal, SN_13.HQ.medium.n_substances), redeclare package medium = Medium , A = 352000.0, H_b = -2.1889, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 352000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {43.0, 209.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_14(V_nominal = SN_14_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_14_C_nominal, SN_14.HQ.medium.n_substances), redeclare package medium = Medium , A = 183000.0, H_b = -1.2716, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 183000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {16.0, 207.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_15(V_nominal = SN_15_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_15_C_nominal, SN_15.HQ.medium.n_substances), redeclare package medium = Medium , A = 380500.0, H_b = -1.1055, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 380500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-22.0, 98.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_16(V_nominal = SN_16_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_16_C_nominal, SN_16.HQ.medium.n_substances), redeclare package medium = Medium , A = 3315000.0, H_b = -2.0, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 3315000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-49.0, 19.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_17(V_nominal = SN_17_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_17_C_nominal, SN_17.HQ.medium.n_substances), redeclare package medium = Medium , A = 170000.0, H_b = -1.3881, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 170000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {39.0, 203.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_18(V_nominal = SN_18_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_18_C_nominal, SN_18.HQ.medium.n_substances), redeclare package medium = Medium , A = 2121000.0, H_b = -3.3532, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 2121000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {145.0, 147.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_19(V_nominal = SN_19_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_19_C_nominal, SN_19.HQ.medium.n_substances), redeclare package medium = Medium , A = 23000.0, H_b = -2.5883, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 23000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {25.0, -202.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_20(V_nominal = SN_20_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_20_C_nominal, SN_20.HQ.medium.n_substances), redeclare package medium = Medium , A = 295000.0, H_b = -1.0839, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 295000.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-144.0, -8.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_21(V_nominal = SN_21_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_21_C_nominal, SN_21.HQ.medium.n_substances), redeclare package medium = Medium , A = 58500.0, H_b = -1.575, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 58500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {95.0, 215.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Storage.Linear SN_22(V_nominal = SN_22_V_nominal, HQ.C(each nominal = 1), C_nominal = fill(SN_22_C_nominal, SN_22.HQ.medium.n_substances), redeclare package medium = Medium , A = 569500.0, H_b = -3.3532, HQ.H(min = -1.5, max = 0.0, nominal = 1.0), V(nominal = 569500.0), theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {40.0, 248.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));

// Inflows from Polder Gemalen: polder --> boezem
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge PG_afw_246(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {49, -249}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.BoundaryConditions.Discharge PG_afw_249(M(each nominal = 0.1), redeclare package medium = Medium) annotation(Placement(visible = true, transformation(origin = {49, -249}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));

// gemalen
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_Gouda(Q_nominal = -1.0, C_nominal = fill(GEM_Gouda_C_nominal, GEM_Gouda.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {49, -249}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_Gouda_inflow(Q_nominal = 1.0, C_nominal = fill(GEM_Gouda_inflow_C_nominal, GEM_Gouda_inflow.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {49, -249}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_Katwijk(Q_nominal = -1.0, C_nominal = fill(GEM_Katwijk_C_nominal, GEM_Katwijk.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-165, 5.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_Halfweg(Q_nominal = -1.0, C_nominal = fill(GEM_Halfweg_C_nominal, GEM_Halfweg.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {112, 230}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_Spaarndam(Q_nominal = -1.0, C_nominal = fill(GEM_Spaarndam_C_nominal, GEM_Spaarndam.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {41, 254}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
// pompen piekberging
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_Haarlemmermeer(Q_nominal = -1.0, C_nominal = fill(GEM_Haarlemmermeer_C_nominal, GEM_Haarlemmermeer.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-49.0, 14.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));
  Deltares.ChannelFlow.Hydraulic.Structures.Pump GEM_N3MP(Q_nominal = -1.0, C_nominal = fill(GEM_N3MP_C_nominal, GEM_N3MP.HQUp.medium.n_substances), redeclare package medium = Medium, theta = theta_fudge) annotation(Placement(visible = true, transformation(origin = {-110.0, -139.0}, extent = {{-3, -3}, {3, 3}}, rotation = 0)));

// Waterlevel initialisation
  input SI.Position Eindk_Gouda_H(fixed = true) = Eindk_Gouda.H;
  input SI.Position Eindk_Katwijk_H(fixed = true) = Eindk_Katwijk.H;
  input SI.Position Eindk_Spaarndam_H(fixed = true) = Eindk_Spaarndam.H;
  input SI.Position Eindk_Halfweg_H(fixed = true) = Eindk_Halfweg.H;

// Flow initialisation
  input SI.VolumeFlowRate L_Alphen_Q(fixed = true) = L_Alphen.Q;
  //input SI.VolumeFlowRate L_Amsterdam_NM_Q(fixed = true) = L_Amsterdam_NM.Q;
  input SI.VolumeFlowRate L_Bodegraven_Q(fixed = true) = L_Bodegraven.Q;
  input SI.VolumeFlowRate L_Boskoop_Q(fixed = true) = L_Boskoop.Q;
  input SI.VolumeFlowRate L_Heemstede_A_Q(fixed = true) = L_Heemstede_A.Q;
  input SI.VolumeFlowRate L_Heemstede_C_Q(fixed = true) = L_Heemstede_C.Q;
  input SI.VolumeFlowRate L_Leiden_Q(fixed = true) = L_Leiden.Q;
  input SI.VolumeFlowRate L_Leidschendam_Q(fixed = true) = L_Leidschendam.Q;
  input SI.VolumeFlowRate L_Lisse_Q(fixed = true) = L_Lisse.Q;
  input SI.VolumeFlowRate L_Nieuwe_Wetering_Q(fixed = true) = L_Nieuwe_Wetering.Q;
  input SI.VolumeFlowRate L_Sloten_Q(fixed = true) = L_Sloten.Q;
  input SI.VolumeFlowRate L_Tolhuissluis_Q(fixed = true) = L_Tolhuissluis.Q;
  input SI.VolumeFlowRate L_01_Q(fixed = true) = L_01.Q;
  input SI.VolumeFlowRate L_02_Q(fixed = true) = L_02.Q;
  input SI.VolumeFlowRate L_03_Q(fixed = true) = L_03.Q;
  input SI.VolumeFlowRate L_04_Q(fixed = true) = L_04.Q;
  input SI.VolumeFlowRate L_05_Q(fixed = true) = L_05.Q;
  input SI.VolumeFlowRate L_06_Q(fixed = true) = L_06.Q;
  input SI.VolumeFlowRate L_07_Q(fixed = true) = L_07.Q;
  input SI.VolumeFlowRate L_08_Q(fixed = true) = L_08.Q;
  input SI.VolumeFlowRate L_09_Q(fixed = true) = L_09.Q;
  input SI.VolumeFlowRate L_10_Q(fixed = true) = L_10.Q;
  input SI.VolumeFlowRate L_11_Q(fixed = true) = L_11.Q;
  input SI.VolumeFlowRate L_12_Q(fixed = true) = L_12.Q;
  input SI.VolumeFlowRate L_13_Q(fixed = true) = L_13.Q;
  input SI.VolumeFlowRate L_14_Q(fixed = true) = L_14.Q;
  input SI.VolumeFlowRate L_15_Q(fixed = true) = L_15.Q;
  input SI.VolumeFlowRate L_16_Q(fixed = true) = L_16.Q;
  input SI.VolumeFlowRate L_17_Q(fixed = true) = L_17.Q;
  input SI.VolumeFlowRate L_18_Q(fixed = true) = L_18.Q;
  input SI.VolumeFlowRate L_19_Q(fixed = true) = L_19.Q;
  input SI.VolumeFlowRate L_20_Q(fixed = true) = L_20.Q;
  input SI.VolumeFlowRate L_21_Q(fixed = true) = L_21.Q;
  input SI.VolumeFlowRate L_22_Q(fixed = true) = L_22.Q;

  input SI.VolumeFlowRate P_BG_Gouda_Q(fixed = true) = P_BG_Gouda.Q;
  input SI.VolumeFlowRate P_BG_Katwijk_Q(fixed = true) = P_BG_Katwijk.Q;
  input SI.VolumeFlowRate P_BG_Halfweg_Q(fixed = true) = P_BG_Halfweg.Q;
  input SI.VolumeFlowRate P_BG_Spaarndam_Q(fixed = true) = P_BG_Spaarndam.Q;
  input SI.VolumeFlowRate P_Alphen_Q(fixed = true) = P_Alphen.Q;
  input SI.VolumeFlowRate P_Bodegraven_Q(fixed = true) = P_Bodegraven.Q;
  input SI.VolumeFlowRate P_Boskoop_Q(fixed = true) = P_Boskoop.Q;
  input SI.VolumeFlowRate P_Heemstede_A_Q(fixed = true) = P_Heemstede_A.Q;
  input SI.VolumeFlowRate P_Heemstede_C_Q(fixed = true) = P_Heemstede_C.Q;
  input SI.VolumeFlowRate P_Leiden_Q(fixed = true) = P_Leiden.Q;
  input SI.VolumeFlowRate P_Leidschendam_Q(fixed = true) = P_Leidschendam.Q;
  input SI.VolumeFlowRate P_Lisse_Q(fixed = true) = P_Lisse.Q;
  input SI.VolumeFlowRate P_Nieuwe_Wetering_Q(fixed = true) = P_Nieuwe_Wetering.Q;
  input SI.VolumeFlowRate P_Sloten_Q(fixed = true) = P_Sloten.Q;
  input SI.VolumeFlowRate P_Tolhuissluis_Q(fixed = true) = P_Tolhuissluis.Q;
  input SI.VolumeFlowRate P_01_Q(fixed = true) = P_01.Q;
  input SI.VolumeFlowRate P_02_Q(fixed = true) = P_02.Q;
  input SI.VolumeFlowRate P_03_Q(fixed = true) = P_03.Q;
  input SI.VolumeFlowRate P_04_Q(fixed = true) = P_04.Q;
  input SI.VolumeFlowRate P_05_Q(fixed = true) = P_05.Q;
  input SI.VolumeFlowRate P_06_Q(fixed = true) = P_06.Q;
  input SI.VolumeFlowRate P_07_Q(fixed = true) = P_07.Q;
  input SI.VolumeFlowRate P_08_Q(fixed = true) = P_08.Q;
  input SI.VolumeFlowRate P_09_Q(fixed = true) = P_09.Q;
  input SI.VolumeFlowRate P_10_Q(fixed = true) = P_10.Q;
  input SI.VolumeFlowRate P_11_Q(fixed = true) = P_11.Q;
  input SI.VolumeFlowRate P_12_Q(fixed = true) = P_12.Q;
  input SI.VolumeFlowRate P_13_Q(fixed = true) = P_13.Q;
  input SI.VolumeFlowRate P_14_Q(fixed = true) = P_14.Q;
  input SI.VolumeFlowRate P_15_Q(fixed = true) = P_15.Q;
  input SI.VolumeFlowRate P_16_Q(fixed = true) = P_16.Q;
  input SI.VolumeFlowRate P_17_Q(fixed = true) = P_17.Q;
  input SI.VolumeFlowRate P_18_Q(fixed = true) = P_18.Q;

  input SI.VolumeFlowRate E_BG_Gouda_Q(fixed = true) = E_BG_Gouda.Q;
  input SI.VolumeFlowRate E_BG_Katwijk_Q(fixed = true) = E_BG_Katwijk.Q;
  input SI.VolumeFlowRate E_BG_Halfweg_Q(fixed = true) = E_BG_Halfweg.Q;
  input SI.VolumeFlowRate E_BG_Spaarndam_Q(fixed = true) = E_BG_Spaarndam.Q;
  input SI.VolumeFlowRate E_Alphen_Q(fixed = true) = E_Alphen.Q;
  input SI.VolumeFlowRate E_Bodegraven_Q(fixed = true) = E_Bodegraven.Q;
  input SI.VolumeFlowRate E_Boskoop_Q(fixed = true) = E_Boskoop.Q;
  input SI.VolumeFlowRate E_Heemstede_A_Q(fixed = true) = E_Heemstede_A.Q;
  input SI.VolumeFlowRate E_Heemstede_C_Q(fixed = true) = E_Heemstede_C.Q;
  input SI.VolumeFlowRate E_Leiden_Q(fixed = true) = E_Leiden.Q;
  input SI.VolumeFlowRate E_Leidschendam_Q(fixed = true) = E_Leidschendam.Q;
  input SI.VolumeFlowRate E_Lisse_Q(fixed = true) = E_Lisse.Q;
  input SI.VolumeFlowRate E_Nieuwe_Wetering_Q(fixed = true) = E_Nieuwe_Wetering.Q;
  input SI.VolumeFlowRate E_Sloten_Q(fixed = true) = E_Sloten.Q;
  input SI.VolumeFlowRate E_Tolhuissluis_Q(fixed = true) = E_Tolhuissluis.Q;
  input SI.VolumeFlowRate E_01_Q(fixed = true) = E_01.Q;
  input SI.VolumeFlowRate E_02_Q(fixed = true) = E_02.Q;
  input SI.VolumeFlowRate E_03_Q(fixed = true) = E_03.Q;
  input SI.VolumeFlowRate E_04_Q(fixed = true) = E_04.Q;
  input SI.VolumeFlowRate E_05_Q(fixed = true) = E_05.Q;
  input SI.VolumeFlowRate E_06_Q(fixed = true) = E_06.Q;
  input SI.VolumeFlowRate E_07_Q(fixed = true) = E_07.Q;
  input SI.VolumeFlowRate E_08_Q(fixed = true) = E_08.Q;
  input SI.VolumeFlowRate E_09_Q(fixed = true) = E_09.Q;
  input SI.VolumeFlowRate E_10_Q(fixed = true) = E_10.Q;
  input SI.VolumeFlowRate E_11_Q(fixed = true) = E_11.Q;
  input SI.VolumeFlowRate E_12_Q(fixed = true) = E_12.Q;
  input SI.VolumeFlowRate E_13_Q(fixed = true) = E_13.Q;
  input SI.VolumeFlowRate E_14_Q(fixed = true) = E_14.Q;
  input SI.VolumeFlowRate E_15_Q(fixed = true) = E_15.Q;
  input SI.VolumeFlowRate E_16_Q(fixed = true) = E_16.Q;
  input SI.VolumeFlowRate E_17_Q(fixed = true) = E_17.Q;
  input SI.VolumeFlowRate E_18_Q(fixed = true) = E_18.Q;

  input SI.VolumeFlowRate ML_Bodegraven_Q(fixed = true) = ML_Bodegraven.Q;
  input SI.VolumeFlowRate GEM_Dolk_Quitlaat(fixed = true) = GEM_Dolk.Q;

  // Polder Inflows to System
  input SI.VolumeFlowRate PG_afw_246_Q(fixed=true) = PG_afw_246.Q;
  input SI.VolumeFlowRate PG_afw_249_Q(fixed=true) = PG_afw_249.Q;

  //  Salt concentration initialisation
  input SI.Density Eindk_Gouda_C(fixed = true) = Eindk_Gouda.C[1];
  // One way pumps don't need to know outside salt concentration, but here is how to do it:
  // input SI.Density Eindk_Katwijk_C(fixed = true) = Eindk_Katwijk.C[1];
  // input SI.Density Eindk_Spaarndam_C(fixed = true) = Eindk_Spaarndam.C[1];
  // input SI.Density Eindk_Halfweg_C(fixed = true) = Eindk_Halfweg.C[1];
  //concentration inputs for flow
  input SI.Density ML_Bodegraven_C(fixed = true);
  input SI.Density BUF_afw_246_C(fixed = true);
  input SI.Density BUF_afw_249_C(fixed = true);

  input SI.Density L_Alphen_C(fixed = true);
//  input SI.Density L_Amsterdam_NM_C(fixed = true); //0 flow boundary
  input SI.Density L_Bodegraven_C(fixed = true);
  input SI.Density L_Boskoop_C(fixed = true);
  input SI.Density L_Heemstede_A_C(fixed = true);
  input SI.Density L_Heemstede_C_C(fixed = true);
  input SI.Density L_Leiden_C(fixed = true);
  input SI.Density L_Leidschendam_C(fixed = true);
  input SI.Density L_Lisse_C(fixed = true);
  input SI.Density L_Nieuwe_Wetering_C(fixed = true);
  input SI.Density L_Sloten_C(fixed = true);
  input SI.Density L_Tolhuissluis_C(fixed = true);
  input SI.Density L_01_C(fixed = true);
  input SI.Density L_02_C(fixed = true);
  input SI.Density L_03_C(fixed = true);
  input SI.Density L_04_C(fixed = true);
  input SI.Density L_05_C(fixed = true);
  input SI.Density L_06_C(fixed = true);
  input SI.Density L_07_C(fixed = true);
  input SI.Density L_08_C(fixed = true);
  input SI.Density L_09_C(fixed = true);
  input SI.Density L_10_C(fixed = true);
  input SI.Density L_11_C(fixed = true);
  input SI.Density L_12_C(fixed = true);
  input SI.Density L_13_C(fixed = true);
  input SI.Density L_14_C(fixed = true);
  input SI.Density L_15_C(fixed = true);
  input SI.Density L_16_C(fixed = true);
  input SI.Density L_17_C(fixed = true);
  input SI.Density L_18_C(fixed = true);
  input SI.Density L_19_C(fixed = true);
  input SI.Density L_20_C(fixed = true);
  input SI.Density L_21_C(fixed = true);
  input SI.Density L_22_C(fixed = true);

  input SI.Density P_BG_Gouda_C(fixed = true);
  input SI.Density P_BG_Katwijk_C(fixed = true);
  input SI.Density P_BG_Halfweg_C(fixed = true);
  input SI.Density P_BG_Spaarndam_C(fixed = true);
  input SI.Density P_Alphen_C(fixed = true);
  input SI.Density P_Bodegraven_C(fixed = true);
  input SI.Density P_Boskoop_C(fixed = true);
  input SI.Density P_Heemstede_A_C(fixed = true);
  input SI.Density P_Heemstede_C_C(fixed = true);
  input SI.Density P_Leiden_C(fixed = true);
  input SI.Density P_Leidschendam_C(fixed = true);
  input SI.Density P_Lisse_C(fixed = true);
  input SI.Density P_Nieuwe_Wetering_C(fixed = true);
  input SI.Density P_Sloten_C(fixed = true);
  input SI.Density P_Tolhuissluis_C(fixed = true);
  input SI.Density P_01_C(fixed = true);
  input SI.Density P_02_C(fixed = true);
  input SI.Density P_03_C(fixed = true);
  input SI.Density P_04_C(fixed = true);
  input SI.Density P_05_C(fixed = true);
  input SI.Density P_06_C(fixed = true);
  input SI.Density P_07_C(fixed = true);
  input SI.Density P_08_C(fixed = true);
  input SI.Density P_09_C(fixed = true);
  input SI.Density P_10_C(fixed = true);
  input SI.Density P_11_C(fixed = true);
  input SI.Density P_12_C(fixed = true);
  input SI.Density P_13_C(fixed = true);
  input SI.Density P_14_C(fixed = true);
  input SI.Density P_15_C(fixed = true);
  input SI.Density P_16_C(fixed = true);
  input SI.Density P_17_C(fixed = true);
  input SI.Density P_18_C(fixed = true);

  // wind stress u
  input SI.Stress Aarkanaal_1_wind_stress_u(fixed = true);
  input SI.Stress Bennebroekervaart_1_wind_stress_u(fixed = true);
  input SI.Stress Braassemermeer_1_wind_stress_u(fixed = true);
  input SI.Stress Braassemermeer_2_wind_stress_u(fixed = true);
  input SI.Stress Buiten_Liede_1_wind_stress_u(fixed = true);
  input SI.Stress Does_1_wind_stress_u(fixed = true);
  input SI.Stress Drecht_1_wind_stress_u(fixed = true);
  input SI.Stress Drecht_2_wind_stress_u(fixed = true);
  input SI.Stress Fuikvaart_1_wind_stress_u(fixed = true);
  input SI.Stress Gouwe_2_wind_stress_u(fixed = true);
  input SI.Stress Gouwe_3_wind_stress_u(fixed = true);
  input SI.Stress Gouwe_4_wind_stress_u(fixed = true);
  input SI.Stress Halfweg_2_wind_stress_u(fixed = true);
  input SI.Stress Leidsevaart_1_wind_stress_u(fixed = true);
  input SI.Stress Leidsevaart_2_wind_stress_u(fixed = true);
  input SI.Stress Leidsevaart_3_wind_stress_u(fixed = true);
  input SI.Stress Nieuwe__Rijn_1_wind_stress_u(fixed = true);
  input SI.Stress Nieuwe_Meer_1_wind_stress_u(fixed = true);
  input SI.Stress Nieuwe_Vaart_1_wind_stress_u(fixed = true);
  input SI.Stress Oegstgeesterkanaal_2_wind_stress_u(fixed = true);
  input SI.Stress Oegstgeesterkanaal_3_wind_stress_u(fixed = true);
  input SI.Stress Oude_Rijn_1_wind_stress_u(fixed = true);
  input SI.Stress Oude_Rijn_2_wind_stress_u(fixed = true);
  input SI.Stress Oude_Rijn_3_wind_stress_u(fixed = true);
  input SI.Stress Oude_Rijn_4_wind_stress_u(fixed = true);
  input SI.Stress Oude_Wetering_1_wind_stress_u(fixed = true);
  input SI.Stress Rijn_1_wind_stress_u(fixed = true);
  input SI.Stress Rijn_Schiet_1_wind_stress_u(fixed = true);
  input SI.Stress Rijn_schiet_2_wind_stress_u(fixed = true);
  input SI.Stress Rijn_Schiet_3_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_1_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_2_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_3_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_4_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_5_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_6_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_7_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_8_wind_stress_u(fixed = true);
  input SI.Stress Ringvaart_9_wind_stress_u(fixed = true);
  input SI.Stress Spaarne_2_wind_stress_u(fixed = true);
  input SI.Stress Spaarne_3_wind_stress_u(fixed = true);
  input SI.Stress Spaarne_4_wind_stress_u(fixed = true);
  input SI.Stress Spaarne_5_wind_stress_u(fixed = true);
  input SI.Stress Vliet_1_wind_stress_u(fixed = true);
  input SI.Stress Vliet_2_wind_stress_u(fixed = true);
  input SI.Stress Vliet_3_wind_stress_u(fixed = true);
  input SI.Stress Warmonderleede_1_wind_stress_u(fixed = true);
  input SI.Stress Weipoortse_Vliet_1_wind_stress_u(fixed = true);
  input SI.Stress Woudwetering_1_wind_stress_u(fixed = true);

  // wind stress v
  input SI.Stress Aarkanaal_1_wind_stress_v(fixed = true);
  input SI.Stress Bennebroekervaart_1_wind_stress_v(fixed = true);
  input SI.Stress Braassemermeer_1_wind_stress_v(fixed = true);
  input SI.Stress Braassemermeer_2_wind_stress_v(fixed = true);
  input SI.Stress Buiten_Liede_1_wind_stress_v(fixed = true);
  input SI.Stress Does_1_wind_stress_v(fixed = true);
  input SI.Stress Drecht_1_wind_stress_v(fixed = true);
  input SI.Stress Drecht_2_wind_stress_v(fixed = true);
  input SI.Stress Fuikvaart_1_wind_stress_v(fixed = true);
  input SI.Stress Gouwe_2_wind_stress_v(fixed = true);
  input SI.Stress Gouwe_3_wind_stress_v(fixed = true);
  input SI.Stress Gouwe_4_wind_stress_v(fixed = true);
  input SI.Stress Halfweg_2_wind_stress_v(fixed = true);
  input SI.Stress Leidsevaart_1_wind_stress_v(fixed = true);
  input SI.Stress Leidsevaart_2_wind_stress_v(fixed = true);
  input SI.Stress Leidsevaart_3_wind_stress_v(fixed = true);
  input SI.Stress Nieuwe__Rijn_1_wind_stress_v(fixed = true);
  input SI.Stress Nieuwe_Meer_1_wind_stress_v(fixed = true);
  input SI.Stress Nieuwe_Vaart_1_wind_stress_v(fixed = true);
  input SI.Stress Oegstgeesterkanaal_2_wind_stress_v(fixed = true);
  input SI.Stress Oegstgeesterkanaal_3_wind_stress_v(fixed = true);
  input SI.Stress Oude_Rijn_1_wind_stress_v(fixed = true);
  input SI.Stress Oude_Rijn_2_wind_stress_v(fixed = true);
  input SI.Stress Oude_Rijn_3_wind_stress_v(fixed = true);
  input SI.Stress Oude_Rijn_4_wind_stress_v(fixed = true);
  input SI.Stress Oude_Wetering_1_wind_stress_v(fixed = true);
  input SI.Stress Rijn_1_wind_stress_v(fixed = true);
  input SI.Stress Rijn_Schiet_1_wind_stress_v(fixed = true);
  input SI.Stress Rijn_schiet_2_wind_stress_v(fixed = true);
  input SI.Stress Rijn_Schiet_3_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_1_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_2_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_3_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_4_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_5_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_6_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_7_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_8_wind_stress_v(fixed = true);
  input SI.Stress Ringvaart_9_wind_stress_v(fixed = true);
  input SI.Stress Spaarne_2_wind_stress_v(fixed = true);
  input SI.Stress Spaarne_3_wind_stress_v(fixed = true);
  input SI.Stress Spaarne_4_wind_stress_v(fixed = true);
  input SI.Stress Spaarne_5_wind_stress_v(fixed = true);
  input SI.Stress Vliet_1_wind_stress_v(fixed = true);
  input SI.Stress Vliet_2_wind_stress_v(fixed = true);
  input SI.Stress Vliet_3_wind_stress_v(fixed = true);
  input SI.Stress Warmonderleede_1_wind_stress_v(fixed = true);
  input SI.Stress Weipoortse_Vliet_1_wind_stress_v(fixed = true);
  input SI.Stress Woudwetering_1_wind_stress_v(fixed = true);

  // RBP berekening
  output SI.Position RBP_H(nominal = 1.0) =
      0.0120 * BG_Gouda.HQ.H
    + 0.0075 * BG_Halfweg.HQ.H
    + 0.0332 * BG_Katwijk.HQ.H
    + 0.0463 * BG_Spaarndam.HQ.H
    + 0.0443 * ML_Alphen.HQ.H
    + 0.0039 * SN_Bodegraven.HQ.H
    + 0.0063 * ML_Boskoop.HQ.H
    + 0.0142 * ML_Heemstede_A.HQ.H
    + 0.0433 * ML_Heemstede_C.HQ.H
    + 0.1426 * ML_Leiden.HQ.H
    + 0.0356 * ML_Leidschendam.HQ.H
    + 0.0585 * ML_Lisse.HQ.H
    + 0.4318 * ML_Nieuwe_Wetering.HQ.H
    + 0.0109 * ML_Sloten.HQ.H
    + 0.0100 * ML_Tolhuissluis.HQ.H
    + 0.0996 * ML_Amsterdam_NM.HQ.H;

  output SI.VolumeFlowRate GEM_Gouda_Qoutput = GEM_Gouda.Q + GEM_Gouda_inflow.Q;
  output SI.VolumeFlowRate GEM_Halfweg_Qoutput = GEM_Halfweg.Q;
  output SI.VolumeFlowRate GEM_Katwijk_Qoutput = GEM_Katwijk.Q;
  output SI.VolumeFlowRate GEM_Spaarndam_Qoutput = GEM_Spaarndam.Q;
  output SI.VolumeFlowRate GEM_N3MP_Qoutput = GEM_N3MP.Q;
  output SI.VolumeFlowRate GEM_Haarlemmermeer_Qoutput = GEM_Haarlemmermeer.Q;
  output SI.VolumeFlowRate GEM_Dolk_Qoutput = GEM_Dolk.Q;

  // Linearization Parameters (take the form ELEMENT_X_nominal)
  parameter SI.VolumeFlowRate Aarkanaal_1_Q_nominal;
  parameter SI.VolumeFlowRate Bennebroekervaart_1_Q_nominal;
  parameter SI.VolumeFlowRate Braassemermeer_1_Q_nominal;
  parameter SI.VolumeFlowRate Braassemermeer_2_Q_nominal;
  parameter SI.VolumeFlowRate Buiten_Liede_1_Q_nominal;
  parameter SI.VolumeFlowRate Does_1_Q_nominal;
  parameter SI.VolumeFlowRate Drecht_1_Q_nominal;
  parameter SI.VolumeFlowRate Drecht_2_Q_nominal;
  parameter SI.VolumeFlowRate Fuikvaart_1_Q_nominal;
  parameter SI.VolumeFlowRate Gouwe_2_Q_nominal;
  parameter SI.VolumeFlowRate Gouwe_3_Q_nominal;
  parameter SI.VolumeFlowRate Gouwe_4_Q_nominal;
  parameter SI.VolumeFlowRate Halfweg_2_Q_nominal;
  parameter SI.VolumeFlowRate Leidsevaart_1_Q_nominal;
  parameter SI.VolumeFlowRate Leidsevaart_2_Q_nominal;
  parameter SI.VolumeFlowRate Leidsevaart_3_Q_nominal;
  parameter SI.VolumeFlowRate Nieuwe__Rijn_1_Q_nominal;
  parameter SI.VolumeFlowRate Nieuwe_Meer_1_Q_nominal;
  parameter SI.VolumeFlowRate Nieuwe_Vaart_1_Q_nominal;
  parameter SI.VolumeFlowRate Oegstgeesterkanaal_2_Q_nominal;
  parameter SI.VolumeFlowRate Oegstgeesterkanaal_3_Q_nominal;
  parameter SI.VolumeFlowRate Oude_Rijn_1_Q_nominal;
  parameter SI.VolumeFlowRate Oude_Rijn_2_Q_nominal;
  parameter SI.VolumeFlowRate Oude_Rijn_3_Q_nominal;
  parameter SI.VolumeFlowRate Oude_Rijn_4_Q_nominal;
  parameter SI.VolumeFlowRate Oude_Wetering_1_Q_nominal;
  parameter SI.VolumeFlowRate Rijn_1_Q_nominal;
  parameter SI.VolumeFlowRate Rijn_Schiet_1_Q_nominal;
  parameter SI.VolumeFlowRate Rijn_schiet_2_Q_nominal;
  parameter SI.VolumeFlowRate Rijn_Schiet_3_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_1_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_2_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_3_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_4_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_5_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_6_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_7_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_8_Q_nominal;
  parameter SI.VolumeFlowRate Ringvaart_9_Q_nominal;
  parameter SI.VolumeFlowRate Spaarne_2_Q_nominal;
  parameter SI.VolumeFlowRate Spaarne_3_Q_nominal;
  parameter SI.VolumeFlowRate Spaarne_4_Q_nominal;
  parameter SI.VolumeFlowRate Spaarne_5_Q_nominal;
  parameter SI.VolumeFlowRate Vliet_1_Q_nominal;
  parameter SI.VolumeFlowRate Vliet_2_Q_nominal;
  parameter SI.VolumeFlowRate Vliet_3_Q_nominal;
  parameter SI.VolumeFlowRate Warmonderleede_1_Q_nominal;
  parameter SI.VolumeFlowRate Weipoortse_Vliet_1_Q_nominal;
  parameter SI.VolumeFlowRate Woudwetering_1_Q_nominal;

  parameter SI.Density GEM_Gouda_C_nominal;
  parameter SI.Density GEM_Gouda_inflow_C_nominal;
  parameter SI.Density GEM_Katwijk_C_nominal;
  parameter SI.Density GEM_Halfweg_C_nominal;
  parameter SI.Density GEM_Spaarndam_C_nominal;
  parameter SI.Density GEM_Haarlemmermeer_C_nominal;
  parameter SI.Density GEM_N3MP_C_nominal;

  parameter SI.Volume Eindk_Haarlemmermeer_V_nominal;
  parameter SI.Volume Eindk_N3MP_V_nominal;
  parameter SI.Volume BG_Gouda_V_nominal;
  parameter SI.Volume BG_Halfweg_V_nominal;
  parameter SI.Volume BG_Katwijk_V_nominal;
  parameter SI.Volume BG_Spaarndam_V_nominal;
  parameter SI.Volume ML_Alphen_V_nominal;
  parameter SI.Volume ML_Amsterdam_NM_V_nominal;
  parameter SI.Volume ML_Boskoop_V_nominal;
  parameter SI.Volume ML_Heemstede_A_V_nominal;
  parameter SI.Volume ML_Heemstede_C_V_nominal;
  parameter SI.Volume ML_Leiden_V_nominal;
  parameter SI.Volume ML_Leidschendam_V_nominal;
  parameter SI.Volume ML_Lisse_V_nominal;
  parameter SI.Volume ML_Nieuwe_Wetering_V_nominal;
  parameter SI.Volume ML_Sloten_V_nominal;
  parameter SI.Volume ML_Tolhuissluis_V_nominal;
  parameter SI.Volume SN_Bodegraven_V_nominal;
  parameter SI.Volume SN_01_V_nominal;
  parameter SI.Volume SN_02_V_nominal;
  parameter SI.Volume SN_03_V_nominal;
  parameter SI.Volume SN_04_V_nominal;
  parameter SI.Volume SN_05_V_nominal;
  parameter SI.Volume SN_06_V_nominal;
  parameter SI.Volume SN_07_V_nominal;
  parameter SI.Volume SN_08_V_nominal;
  parameter SI.Volume SN_09_V_nominal;
  parameter SI.Volume SN_10_V_nominal;
  parameter SI.Volume SN_11_V_nominal;
  parameter SI.Volume SN_12_V_nominal;
  parameter SI.Volume SN_13_V_nominal;
  parameter SI.Volume SN_14_V_nominal;
  parameter SI.Volume SN_15_V_nominal;
  parameter SI.Volume SN_16_V_nominal;
  parameter SI.Volume SN_17_V_nominal;
  parameter SI.Volume SN_18_V_nominal;
  parameter SI.Volume SN_19_V_nominal;
  parameter SI.Volume SN_20_V_nominal;
  parameter SI.Volume SN_21_V_nominal;
  parameter SI.Volume SN_22_V_nominal;

  parameter SI.Density Eindk_Haarlemmermeer_C_nominal;
  parameter SI.Density Eindk_N3MP_C_nominal;
  parameter SI.Density BG_Gouda_C_nominal;
  parameter SI.Density BG_Halfweg_C_nominal;
  parameter SI.Density BG_Katwijk_C_nominal;
  parameter SI.Density BG_Spaarndam_C_nominal;
  parameter SI.Density ML_Alphen_C_nominal;
  parameter SI.Density ML_Amsterdam_NM_C_nominal;
  parameter SI.Density ML_Boskoop_C_nominal;
  parameter SI.Density ML_Heemstede_A_C_nominal;
  parameter SI.Density ML_Heemstede_C_C_nominal;
  parameter SI.Density ML_Leiden_C_nominal;
  parameter SI.Density ML_Leidschendam_C_nominal;
  parameter SI.Density ML_Lisse_C_nominal;
  parameter SI.Density ML_Nieuwe_Wetering_C_nominal;
  parameter SI.Density ML_Sloten_C_nominal;
  parameter SI.Density ML_Tolhuissluis_C_nominal;
  parameter SI.Density SN_Bodegraven_C_nominal;
  parameter SI.Density SN_01_C_nominal;
  parameter SI.Density SN_02_C_nominal;
  parameter SI.Density SN_03_C_nominal;
  parameter SI.Density SN_04_C_nominal;
  parameter SI.Density SN_05_C_nominal;
  parameter SI.Density SN_06_C_nominal;
  parameter SI.Density SN_07_C_nominal;
  parameter SI.Density SN_08_C_nominal;
  parameter SI.Density SN_09_C_nominal;
  parameter SI.Density SN_10_C_nominal;
  parameter SI.Density SN_11_C_nominal;
  parameter SI.Density SN_12_C_nominal;
  parameter SI.Density SN_13_C_nominal;
  parameter SI.Density SN_14_C_nominal;
  parameter SI.Density SN_15_C_nominal;
  parameter SI.Density SN_16_C_nominal;
  parameter SI.Density SN_17_C_nominal;
  parameter SI.Density SN_18_C_nominal;
  parameter SI.Density SN_19_C_nominal;
  parameter SI.Density SN_20_C_nominal;
  parameter SI.Density SN_21_C_nominal;
  parameter SI.Density SN_22_C_nominal;

  parameter SI.Density Aarkanaal_1_H_nominal;
  parameter SI.Density Bennebroekervaart_1_H_nominal;
  parameter SI.Density Braassemermeer_1_H_nominal;
  parameter SI.Density Braassemermeer_2_H_nominal;
  parameter SI.Density Buiten_Liede_1_H_nominal;
  parameter SI.Density Does_1_H_nominal;
  parameter SI.Density Drecht_1_H_nominal;
  parameter SI.Density Drecht_2_H_nominal;
  parameter SI.Density Fuikvaart_1_H_nominal;
  parameter SI.Density Gouwe_2_H_nominal;
  parameter SI.Density Gouwe_3_H_nominal;
  parameter SI.Density Gouwe_4_H_nominal;
  parameter SI.Density Halfweg_2_H_nominal;
  parameter SI.Density Leidsevaart_1_H_nominal;
  parameter SI.Density Leidsevaart_2_H_nominal;
  parameter SI.Density Leidsevaart_3_H_nominal;
  parameter SI.Density Nieuwe__Rijn_1_H_nominal;
  parameter SI.Density Nieuwe_Meer_1_H_nominal;
  parameter SI.Density Nieuwe_Vaart_1_H_nominal;
  parameter SI.Density Oegstgeesterkanaal_2_H_nominal;
  parameter SI.Density Oegstgeesterkanaal_3_H_nominal;
  parameter SI.Density Oude_Rijn_1_H_nominal;
  parameter SI.Density Oude_Rijn_2_H_nominal;
  parameter SI.Density Oude_Rijn_3_H_nominal;
  parameter SI.Density Oude_Rijn_4_H_nominal;
  parameter SI.Density Oude_Wetering_1_H_nominal;
  parameter SI.Density Rijn_1_H_nominal;
  parameter SI.Density Rijn_Schiet_1_H_nominal;
  parameter SI.Density Rijn_schiet_2_H_nominal;
  parameter SI.Density Rijn_Schiet_3_H_nominal;
  parameter SI.Density Ringvaart_1_H_nominal;
  parameter SI.Density Ringvaart_2_H_nominal;
  parameter SI.Density Ringvaart_3_H_nominal;
  parameter SI.Density Ringvaart_4_H_nominal;
  parameter SI.Density Ringvaart_5_H_nominal;
  parameter SI.Density Ringvaart_6_H_nominal;
  parameter SI.Density Ringvaart_7_H_nominal;
  parameter SI.Density Ringvaart_8_H_nominal;
  parameter SI.Density Ringvaart_9_H_nominal;
  parameter SI.Density Spaarne_2_H_nominal;
  parameter SI.Density Spaarne_3_H_nominal;
  parameter SI.Density Spaarne_4_H_nominal;
  parameter SI.Density Spaarne_5_H_nominal;
  parameter SI.Density Vliet_1_H_nominal;
  parameter SI.Density Vliet_2_H_nominal;
  parameter SI.Density Vliet_3_H_nominal;
  parameter SI.Density Warmonderleede_1_H_nominal;
  parameter SI.Density Weipoortse_Vliet_1_H_nominal;
  parameter SI.Density Woudwetering_1_H_nominal;

  parameter SI.Density Aarkanaal_1_C_nominal;
  parameter SI.Density Bennebroekervaart_1_C_nominal;
  parameter SI.Density Braassemermeer_1_C_nominal;
  parameter SI.Density Braassemermeer_2_C_nominal;
  parameter SI.Density Buiten_Liede_1_C_nominal;
  parameter SI.Density Does_1_C_nominal;
  parameter SI.Density Drecht_1_C_nominal;
  parameter SI.Density Drecht_2_C_nominal;
  parameter SI.Density Fuikvaart_1_C_nominal;
  parameter SI.Density Gouwe_2_C_nominal;
  parameter SI.Density Gouwe_3_C_nominal;
  parameter SI.Density Gouwe_4_C_nominal;
  parameter SI.Density Halfweg_2_C_nominal;
  parameter SI.Density Leidsevaart_1_C_nominal;
  parameter SI.Density Leidsevaart_2_C_nominal;
  parameter SI.Density Leidsevaart_3_C_nominal;
  parameter SI.Density Nieuwe__Rijn_1_C_nominal;
  parameter SI.Density Nieuwe_Meer_1_C_nominal;
  parameter SI.Density Nieuwe_Vaart_1_C_nominal;
  parameter SI.Density Oegstgeesterkanaal_2_C_nominal;
  parameter SI.Density Oegstgeesterkanaal_3_C_nominal;
  parameter SI.Density Oude_Rijn_1_C_nominal;
  parameter SI.Density Oude_Rijn_2_C_nominal;
  parameter SI.Density Oude_Rijn_3_C_nominal;
  parameter SI.Density Oude_Rijn_4_C_nominal;
  parameter SI.Density Oude_Wetering_1_C_nominal;
  parameter SI.Density Rijn_1_C_nominal;
  parameter SI.Density Rijn_Schiet_1_C_nominal;
  parameter SI.Density Rijn_schiet_2_C_nominal;
  parameter SI.Density Rijn_Schiet_3_C_nominal;
  parameter SI.Density Ringvaart_1_C_nominal;
  parameter SI.Density Ringvaart_2_C_nominal;
  parameter SI.Density Ringvaart_3_C_nominal;
  parameter SI.Density Ringvaart_4_C_nominal;
  parameter SI.Density Ringvaart_5_C_nominal;
  parameter SI.Density Ringvaart_6_C_nominal;
  parameter SI.Density Ringvaart_7_C_nominal;
  parameter SI.Density Ringvaart_8_C_nominal;
  parameter SI.Density Ringvaart_9_C_nominal;
  parameter SI.Density Spaarne_2_C_nominal;
  parameter SI.Density Spaarne_3_C_nominal;
  parameter SI.Density Spaarne_4_C_nominal;
  parameter SI.Density Spaarne_5_C_nominal;
  parameter SI.Density Vliet_1_C_nominal;
  parameter SI.Density Vliet_2_C_nominal;
  parameter SI.Density Vliet_3_C_nominal;
  parameter SI.Density Warmonderleede_1_C_nominal;
  parameter SI.Density Weipoortse_Vliet_1_C_nominal;
  parameter SI.Density Woudwetering_1_C_nominal;

  parameter Real Aarkanaal_1_MaxQ;
  parameter Real Bennebroekervaart_1_MaxQ;
  parameter Real Braassemermeer_1_MaxQ;
  parameter Real Braassemermeer_2_MaxQ;
  parameter Real Buiten_Liede_1_MaxQ;
  parameter Real Does_1_MaxQ;
  parameter Real Drecht_1_MaxQ;
  parameter Real Drecht_2_MaxQ;
  parameter Real Fuikvaart_1_MaxQ;
  parameter Real Gouwe_2_MaxQ;
  parameter Real Gouwe_3_MaxQ;
  parameter Real Gouwe_4_MaxQ;
  parameter Real Halfweg_2_MaxQ;
  parameter Real Leidsevaart_1_MaxQ;
  parameter Real Leidsevaart_2_MaxQ;
  parameter Real Leidsevaart_3_MaxQ;
  parameter Real Nieuwe__Rijn_1_MaxQ;
  parameter Real Nieuwe_Meer_1_MaxQ;
  parameter Real Nieuwe_Vaart_1_MaxQ;
  parameter Real Oegstgeesterkanaal_2_MaxQ;
  parameter Real Oegstgeesterkanaal_3_MaxQ;
  parameter Real Oude_Rijn_1_MaxQ;
  parameter Real Oude_Rijn_2_MaxQ;
  parameter Real Oude_Rijn_3_MaxQ;
  parameter Real Oude_Rijn_4_MaxQ;
  parameter Real Oude_Wetering_1_MaxQ;
  parameter Real Rijn_1_MaxQ;
  parameter Real Rijn_Schiet_1_MaxQ;
  parameter Real Rijn_schiet_2_MaxQ;
  parameter Real Rijn_Schiet_3_MaxQ;
  parameter Real Ringvaart_1_MaxQ;
  parameter Real Ringvaart_2_MaxQ;
  parameter Real Ringvaart_3_MaxQ;
  parameter Real Ringvaart_4_MaxQ;
  parameter Real Ringvaart_5_MaxQ;
  parameter Real Ringvaart_6_MaxQ;
  parameter Real Ringvaart_7_MaxQ;
  parameter Real Ringvaart_8_MaxQ;
  parameter Real Ringvaart_9_MaxQ;
  parameter Real Spaarne_2_MaxQ;
  parameter Real Spaarne_3_MaxQ;
  parameter Real Spaarne_4_MaxQ;
  parameter Real Spaarne_5_MaxQ;
  parameter Real Vliet_1_MaxQ;
  parameter Real Vliet_2_MaxQ;
  parameter Real Vliet_3_MaxQ;
  parameter Real Warmonderleede_1_MaxQ;
  parameter Real Weipoortse_Vliet_1_MaxQ;
  parameter Real Woudwetering_1_MaxQ;

equation
  connect(ML_Amsterdam_NM.HQ, Nieuwe_Meer_1.HQUp) annotation(Line(points = {{168, 158}, {157.0, 153.0}}));
  connect(ML_Amsterdam_NM.HQ, L_Amsterdam_NM.HQ) annotation(Line(points = {{168, 158}, {173, 165}}));
  connect(SN_12.HQ, Spaarne_3.HQUp) annotation(Line(visible = true, points = {{17.0, 217.0}, {28.0, 232.0}}));
  connect(SN_12.HQ, Leidsevaart_3.HQDown) annotation(Line(visible = true, points = {{17.0, 217.0}, {3.0, 201.0}}));
  connect(SN_12.HQ, Spaarne_4.HQDown) annotation(Line(visible = true, points = {{17.0, 217.0}, {16.0, 212.0}}));
  connect(L_12.HQ, SN_12.HQ) annotation(Line(visible = true, points = {{22.0, 222.0}, {17.0, 217.0}}));
  connect(P_12.HQ, SN_12.HQ) annotation(Line(visible = true, points = {{22.0, 217.0}, {17.0, 217.0}}));
  connect(E_12.HQ, SN_12.HQ) annotation(Line(visible = true, points = {{22.0, 212.0}, {17.0, 217.0}}));
  connect(ML_Heemstede_A.HQ, Leidsevaart_3.HQUp) annotation(Line(visible = true, points = {{-10.0, 185.0}, {3.0, 201.0}}));
  connect(ML_Heemstede_A.HQ, Leidsevaart_2.HQDown) annotation(Line(visible = true, points = {{-10.0, 185.0}, {-31.0, 148.0}}));
  connect(L_Heemstede_A.HQ, ML_Heemstede_A.HQ) annotation(Line(visible = true, points = {{-5.0, 190.0}, {-10.0, 185.0}}));
  connect(P_Heemstede_A.HQ, ML_Heemstede_A.HQ) annotation(Line(visible = true, points = {{-5.0, 185.0}, {-10.0, 185.0}}));
  connect(E_Heemstede_A.HQ, ML_Heemstede_A.HQ) annotation(Line(visible = true, points = {{-5.0, 180.0}, {-10.0, 185.0}}));
  connect(SN_15.HQ, Ringvaart_8.HQUp) annotation(Line(visible = true, points = {{-22.0, 98.0}, {-4.0, 130.0}}));
  connect(SN_15.HQ, Ringvaart_9.HQDown) annotation(Line(visible = true, points = {{-22.0, 98.0}, {-36.0, 59.0}}));
  connect(SN_15.HQ, Bennebroekervaart_1.HQDown) annotation(Line(visible = true, points = {{-22.0, 98.0}, {-37.0, 104.0}}));
  connect(L_15.HQ, SN_15.HQ) annotation(Line(visible = true, points = {{-17.0, 103.0}, {-22.0, 98.0}}));
  connect(P_15.HQ, SN_15.HQ) annotation(Line(visible = true, points = {{-17.0, 98.0}, {-22.0, 98.0}}));
  connect(E_15.HQ, SN_15.HQ) annotation(Line(visible = true, points = {{-17.0, 93.0}, {-22.0, 98.0}}));
  connect(SN_14.HQ, Spaarne_5.HQDown) annotation(Line(visible = true, points = {{16.0, 207.0}, {15.0, 185.0}}));
  connect(SN_14.HQ, Spaarne_4.HQUp) annotation(Line(visible = true, points = {{16.0, 207.0}, {16.0, 212.0}}));
  connect(SN_14.HQ, Fuikvaart_1.HQDown) annotation(Line(visible = true, points = {{16.0, 207.0}, {26.0, 205.0}}));
  connect(L_14.HQ, SN_14.HQ) annotation(Line(visible = true, points = {{21.0, 212.0}, {16.0, 207.0}}));
  connect(P_14.HQ, SN_14.HQ) annotation(Line(visible = true, points = {{21.0, 207.0}, {16.0, 207.0}}));
  connect(E_14.HQ, SN_14.HQ) annotation(Line(visible = true, points = {{21.0, 202.0}, {16.0, 207.0}}));
  connect(SN_21.HQ, Halfweg_2.HQUp) annotation(Line(visible = true, points = {{95.0, 215.0}, {104.0, 220.0}}));
  connect(SN_21.HQ, Ringvaart_5.HQUp) annotation(Line(visible = true, points = {{95.0, 215.0}, {68.0, 211.0}}));
  connect(SN_21.HQ, Ringvaart_4.HQDown) annotation(Line(visible = true, points = {{95.0, 215.0}, {110.0, 190.0}}));
  connect(L_21.HQ, SN_21.HQ) annotation(Line(visible = true, points = {{100.0, 220.0}, {95.0, 215.0}}));
  connect(ML_Nieuwe_Wetering.HQ, Ringvaart_2.HQUp) annotation(Line(visible = true, points = {{16.0, 19.0}, {81.0, 83.0}}));
  connect(ML_Nieuwe_Wetering.HQ, Drecht_2.HQDown) annotation(Line(visible = true, points = {{16.0, 19.0}, {49.0, 10.0}}));
  connect(ML_Nieuwe_Wetering.HQ, Ringvaart_1.HQUp) annotation(Line(visible = true, points = {{16.0, 19.0}, {-17.0, 18.0}}));
  connect(ML_Nieuwe_Wetering.HQ, Oude_Wetering_1.HQDown) annotation(Line(visible = true, points = {{16.0, 19.0}, {22.0, 0.0}}));
  connect(L_Nieuwe_Wetering.HQ, ML_Nieuwe_Wetering.HQ) annotation(Line(visible = true, points = {{21.0, 24.0}, {16.0, 19.0}}));
  connect(P_Nieuwe_Wetering.HQ, ML_Nieuwe_Wetering.HQ) annotation(Line(visible = true, points = {{21.0, 19.0}, {16.0, 19.0}}));
  connect(E_Nieuwe_Wetering.HQ, ML_Nieuwe_Wetering.HQ) annotation(Line(visible = true, points = {{21.0, 14.0}, {16.0, 19.0}}));
  connect(SN_06.HQ, Does_1.HQUp) annotation(Line(visible = true, points = {{6.0, -30.0}, {-38.0, -35.0}}));
  connect(SN_06.HQ, Woudwetering_1.HQUp) annotation(Line(visible = true, points = {{6.0, -30.0}, {12.0, -54.0}}));
  connect(SN_06.HQ, Braassemermeer_2.HQDown) annotation(Line(visible = true, points = {{6.0, -30.0}, {17.0, -26.0}}));
  connect(L_06.HQ, SN_06.HQ) annotation(Line(visible = true, points = {{11.0, -25.0}, {6.0, -30.0}}));
  connect(P_06.HQ, SN_06.HQ) annotation(Line(visible = true, points = {{11.0, -30.0}, {6.0, -30.0}}));
  connect(E_06.HQ, SN_06.HQ) annotation(Line(visible = true, points = {{11.0, -35.0}, {6.0, -30.0}}));
  connect(SN_08.HQ, Oegstgeesterkanaal_3.HQUp) annotation(Line(visible = true, points = {{-91.0, -14.0}, {-118.0, -11.0}}));
  connect(SN_08.HQ, Rijn_Schiet_3.HQDown) annotation(Line(visible = true, points = {{-91.0, -14.0}, {-86.0, -26.0}}));
  connect(SN_08.HQ, Warmonderleede_1.HQDown) annotation(Line(visible = true, points = {{-91.0, -14.0}, {-71.0, 1.0}}));
  connect(L_08.HQ, SN_08.HQ) annotation(Line(visible = true, points = {{-86.0, -9.0}, {-91.0, -14.0}}));
  connect(P_08.HQ, SN_08.HQ) annotation(Line(visible = true, points = {{-86.0, -14.0}, {-91.0, -14.0}}));
  connect(E_08.HQ, SN_08.HQ) annotation(Line(visible = true, points = {{-86.0, -19.0}, {-91.0, -14.0}}));
  connect(ML_Leiden.HQ, Vliet_3.HQUp) annotation(Line(visible = true, points = {{-115.0, -85.0}, {-118.0, -74.0}}));
  connect(ML_Leiden.HQ, Rijn_Schiet_1.HQUp) annotation(Line(visible = true, points = {{-115.0, -85.0}, {-98.0, -69.0}}));
  connect(ML_Leiden.HQ, Vliet_2.HQDown) annotation(Line(visible = true, points = {{-115.0, -85.0}, {-124.0, -97.0}}));
  connect(L_Leiden.HQ, ML_Leiden.HQ) annotation(Line(visible = true, points = {{-110.0, -80.0}, {-115.0, -85.0}}));
  connect(P_Leiden.HQ, ML_Leiden.HQ) annotation(Line(visible = true, points = {{-110.0, -85.0}, {-115.0, -85.0}}));
  connect(E_Leiden.HQ, ML_Leiden.HQ) annotation(Line(visible = true, points = {{-110.0, -90.0}, {-115.0, -85.0}}));
  connect(ML_Heemstede_C.HQ, Ringvaart_8.HQDown) annotation(Line(visible = true, points = {{14.0, 162.0}, {-4.0, 130.0}}));
  connect(ML_Heemstede_C.HQ, Spaarne_5.HQUp) annotation(Line(visible = true, points = {{14.0, 162.0}, {15.0, 185.0}}));
  connect(ML_Heemstede_C.HQ, Ringvaart_7.HQDown) annotation(Line(visible = true, points = {{14.0, 162.0}, {25.0, 182.0}}));
  connect(L_Heemstede_C.HQ, ML_Heemstede_C.HQ) annotation(Line(visible = true, points = {{19.0, 167.0}, {14.0, 162.0}}));
  connect(P_Heemstede_C.HQ, ML_Heemstede_C.HQ) annotation(Line(visible = true, points = {{19.0, 162.0}, {14.0, 162.0}}));
  connect(E_Heemstede_C.HQ, ML_Heemstede_C.HQ) annotation(Line(visible = true, points = {{19.0, 157.0}, {14.0, 162.0}}));
  connect(SN_13.HQ, Ringvaart_5.HQDown) annotation(Line(visible = true, points = {{43.0, 209.0}, {68.0, 211.0}}));
  connect(SN_13.HQ, Ringvaart_6.HQUp) annotation(Line(visible = true, points = {{43.0, 209.0}, {40.0, 205.0}}));
  connect(SN_13.HQ, Buiten_Liede_1.HQDown) annotation(Line(visible = true, points = {{43.0, 209.0}, {42.0, 227.0}}));
  connect(L_13.HQ, SN_13.HQ) annotation(Line(visible = true, points = {{48.0, 214.0}, {43.0, 209.0}}));
  connect(P_13.HQ, SN_13.HQ) annotation(Line(visible = true, points = {{48.0, 209.0}, {43.0, 209.0}}));
  connect(E_13.HQ, SN_13.HQ) annotation(Line(visible = true, points = {{48.0, 204.0}, {43.0, 209.0}}));
  connect(SN_16.HQ, Ringvaart_9.HQUp) annotation(Line(visible = true, points = {{-49.0, 19.0}, {-36.0, 59.0}}));
  connect(SN_16.HQ, Warmonderleede_1.HQUp) annotation(Line(visible = true, points = {{-49.0, 19.0}, {-71.0, 1.0}}));
  connect(SN_16.HQ, Ringvaart_1.HQDown) annotation(Line(visible = true, points = {{-49.0, 19.0}, {-17.0, 18.0}}));
  connect(L_16.HQ, SN_16.HQ) annotation(Line(visible = true, points = {{-44.0, 24.0}, {-49.0, 19.0}}));
  connect(P_16.HQ, SN_16.HQ) annotation(Line(visible = true, points = {{-44.0, 19.0}, {-49.0, 19.0}}));
  connect(E_16.HQ, SN_16.HQ) annotation(Line(visible = true, points = {{-44.0, 14.0}, {-49.0, 19.0}}));
  connect(SN_22.HQ, Spaarne_3.HQDown) annotation(Line(visible = true, points = {{40.0, 248.0}, {28.0, 232.0}}));
  connect(SN_22.HQ, Spaarne_2.HQUp) annotation(Line(visible = true, points = {{40.0, 248.0}, {40.0, 248.0}}));
  connect(SN_22.HQ, Buiten_Liede_1.HQUp) annotation(Line(visible = true, points = {{40.0, 248.0}, {42.0, 227.0}}));
  connect(L_22.HQ, SN_22.HQ) annotation(Line(visible = true, points = {{45.0, 253.0}, {40.0, 248.0}}));
  connect(SN_18.HQ, Ringvaart_2.HQDown) annotation(Line(visible = true, points = {{145.0, 147.0}, {81.0, 83.0}}));
  connect(SN_18.HQ, Nieuwe_Meer_1.HQDown) annotation(Line(visible = true, points = {{145.0, 147.0}, {156.0, 152.0}}));
  connect(SN_18.HQ, Ringvaart_3.HQUp) annotation(Line(visible = true, points = {{145.0, 147.0}, {135.0, 156.0}}));
  connect(L_18.HQ, SN_18.HQ) annotation(Line(visible = true, points = {{150.0, 152.0}, {145.0, 147.0}}));
  connect(P_18.HQ, SN_18.HQ) annotation(Line(visible = true, points = {{150.0, 147.0}, {145.0, 147.0}}));
  connect(E_18.HQ, SN_18.HQ) annotation(Line(visible = true, points = {{150.0, 142.0}, {145.0, 147.0}}));
  connect(SN_05.HQ, Braassemermeer_1.HQUp) annotation(Line(visible = true, points = {{70.0, -34.0}, {49.0, -27.0}}));
  connect(SN_05.HQ, Drecht_1.HQDown) annotation(Line(visible = true, points = {{70.0, -34.0}, {75.0, -17.0}}));
  connect(SN_05.HQ, Aarkanaal_1.HQUp) annotation(Line(visible = true, points = {{70.0, -34.0}, {53.0, -70.0}}));
  connect(L_05.HQ, SN_05.HQ) annotation(Line(visible = true, points = {{75.0, -29.0}, {70.0, -34.0}}));
  connect(P_05.HQ, SN_05.HQ) annotation(Line(visible = true, points = {{75.0, -34.0}, {70.0, -34.0}}));
  connect(E_05.HQ, SN_05.HQ) annotation(Line(visible = true, points = {{75.0, -39.0}, {70.0, -34.0}}));
  connect(SN_09.HQ, Vliet_2.HQUp) annotation(Line(visible = true, points = {{-133.0, -109.0}, {-124.0, -97.0}}));
  connect(SN_09.HQ, Vliet_1.HQDown) annotation(Line(visible = true, points = {{-133.0, -109.0}, {-151.0, -129.0}}));
  connect(SN_09.HQ, Nieuwe_Vaart_1.HQDown) annotation(Line(visible = true, points = {{-133.0, -109.0}, {-123.0, -122.0}}));
  connect(L_09.HQ, SN_09.HQ) annotation(Line(visible = true, points = {{-128.0, -104.0}, {-133.0, -109.0}}));
  connect(P_09.HQ, SN_09.HQ) annotation(Line(visible = true, points = {{-128.0, -109.0}, {-133.0, -109.0}}));
  connect(E_09.HQ, SN_09.HQ) annotation(Line(visible = true, points = {{-128.0, -114.0}, {-133.0, -109.0}}));
  connect(SN_01.HQ, Vliet_3.HQDown) annotation(Line(visible = true, points = {{-119.0, -63.0}, {-118.0, -74.0}}));
  connect(SN_01.HQ, Rijn_1.HQUp) annotation(Line(visible = true, points = {{-119.0, -63.0}, {-133.0, -35.0}}));
  connect(SN_01.HQ, Nieuwe__Rijn_1.HQDown) annotation(Line(visible = true, points = {{-119.0, -63.0}, {-101.0, -59.0}}));
  connect(L_01.HQ, SN_01.HQ) annotation(Line(visible = true, points = {{-114.0, -58.0}, {-119.0, -63.0}}));
  connect(P_01.HQ, SN_01.HQ) annotation(Line(visible = true, points = {{-114.0, -63.0}, {-119.0, -63.0}}));
  connect(E_01.HQ, SN_01.HQ) annotation(Line(visible = true, points = {{-114.0, -68.0}, {-119.0, -63.0}}));
  connect(SN_10.HQ, Does_1.HQDown) annotation(Line(visible = true, points = {{-79.0, -38.0}, {-38.0, -35.0}}));
  connect(SN_10.HQ, Rijn_Schiet_3.HQUp) annotation(Line(visible = true, points = {{-79.0, -38.0}, {-86.0, -26.0}}));
  connect(SN_10.HQ, Rijn_schiet_2.HQDown) annotation(Line(visible = true, points = {{-79.0, -38.0}, {-80.0, -45.0}}));
  connect(L_10.HQ, SN_10.HQ) annotation(Line(visible = true, points = {{-74.0, -33.0}, {-79.0, -38.0}}));
  connect(P_10.HQ, SN_10.HQ) annotation(Line(visible = true, points = {{-74.0, -38.0}, {-79.0, -38.0}}));
  connect(E_10.HQ, SN_10.HQ) annotation(Line(visible = true, points = {{-74.0, -43.0}, {-79.0, -38.0}}));
  connect(SN_02.HQ, Rijn_Schiet_1.HQDown) annotation(Line(visible = true, points = {{-81.0, -53.0}, {-98.0, -69.0}}));
  connect(SN_02.HQ, Rijn_schiet_2.HQUp) annotation(Line(visible = true, points = {{-81.0, -53.0}, {-80.0, -45.0}}));
  connect(SN_02.HQ, Oude_Rijn_4.HQDown) annotation(Line(visible = true, points = {{-81.0, -53.0}, {-74.0, -65.0}}));
  connect(SN_02.HQ, Nieuwe__Rijn_1.HQUp) annotation(Line(visible = true, points = {{-81.0, -53.0}, {-101.0, -59.0}}));
  connect(L_02.HQ, SN_02.HQ) annotation(Line(visible = true, points = {{-76.0, -48.0}, {-81.0, -53.0}}));
  connect(P_02.HQ, SN_02.HQ) annotation(Line(visible = true, points = {{-76.0, -53.0}, {-81.0, -53.0}}));
  connect(E_02.HQ, SN_02.HQ) annotation(Line(visible = true, points = {{-76.0, -58.0}, {-81.0, -53.0}}));
  connect(SN_03.HQ, Weipoortse_Vliet_1.HQUp) annotation(Line(visible = true, points = {{-110.0, -134.0}, {-87.0, -106.0}}));
  connect(SN_03.HQ, Nieuwe_Vaart_1.HQUp) annotation(Line(visible = true, points = {{-110.0, -134.0}, {-123.0, -122.0}}));
  connect(L_03.HQ, SN_03.HQ) annotation(Line(visible = true, points = {{-105.0, -129.0}, {-110.0, -134.0}}));
  connect(P_03.HQ, SN_03.HQ) annotation(Line(visible = true, points = {{-105.0, -134.0}, {-110.0, -134.0}}));
  connect(E_03.HQ, SN_03.HQ) annotation(Line(visible = true, points = {{-105.0, -139.0}, {-110.0, -134.0}}));
  connect(SN_04.HQ, Oude_Rijn_3.HQUp) annotation(Line(visible = true, points = {{18.0, -76.0}, {-25.0, -77.0}}));
  connect(SN_04.HQ, Woudwetering_1.HQDown) annotation(Line(visible = true, points = {{18.0, -76.0}, {12.0, -54.0}}));
  connect(SN_04.HQ, Oude_Rijn_2.HQDown) annotation(Line(visible = true, points = {{18.0, -76.0}, {27.0, -90.0}}));
  connect(L_04.HQ, SN_04.HQ) annotation(Line(visible = true, points = {{23.0, -71.0}, {18.0, -76.0}}));
  connect(P_04.HQ, SN_04.HQ) annotation(Line(visible = true, points = {{23.0, -76.0}, {18.0, -76.0}}));
  connect(E_04.HQ, SN_04.HQ) annotation(Line(visible = true, points = {{23.0, -81.0}, {18.0, -76.0}}));
  connect(ML_Alphen.HQ, Oude_Rijn_1.HQDown) annotation(Line(visible = true, points = {{38.0, -104.0}, {63.0, -125.0}}));
  connect(ML_Alphen.HQ, Oude_Rijn_2.HQUp) annotation(Line(visible = true, points = {{38.0, -104.0}, {27.0, -90.0}}));
  connect(ML_Alphen.HQ, Aarkanaal_1.HQDown) annotation(Line(visible = true, points = {{38.0, -104.0}, {53.0, -70.0}}));
  connect(ML_Alphen.HQ, Gouwe_4.HQUp) annotation(Line(visible = true, points = {{38.0, -104.0}, {31.0, -131.0}}));
  connect(L_Alphen.HQ, ML_Alphen.HQ) annotation(Line(visible = true, points = {{43.0, -99.0}, {38.0, -104.0}}));
  connect(P_Alphen.HQ, ML_Alphen.HQ) annotation(Line(visible = true, points = {{43.0, -104.0}, {38.0, -104.0}}));
  connect(E_Alphen.HQ, ML_Alphen.HQ) annotation(Line(visible = true, points = {{43.0, -109.0}, {38.0, -104.0}}));
  connect(SN_20.HQ, Oegstgeesterkanaal_3.HQDown) annotation(Line(visible = true, points = {{-144.0, -8.0}, {-118.0, -11.0}}));
  connect(SN_20.HQ, Leidsevaart_1.HQDown) annotation(Line(visible = true, points = {{-144.0, -8.0}, {-98.0, 51.0}}));
  connect(SN_20.HQ, Rijn_1.HQDown) annotation(Line(visible = true, points = {{-144.0, -8.0}, {-133.0, -35.0}}));
  connect(SN_20.HQ, Oegstgeesterkanaal_2.HQUp) annotation(Line(visible = true, points = {{-144.0, -8.0}, {-153.0, -1.0}}));
  connect(L_20.HQ, SN_20.HQ) annotation(Line(visible = true, points = {{-139.0, -3.0}, {-144.0, -8.0}}));
  connect(ML_Lisse.HQ, Bennebroekervaart_1.HQUp) annotation(Line(visible = true, points = {{-51.0, 111.0}, {-37.0, 104.0}}));
  connect(ML_Lisse.HQ, Leidsevaart_1.HQUp) annotation(Line(visible = true, points = {{-51.0, 111.0}, {-98.0, 51.0}}));
  connect(ML_Lisse.HQ, Leidsevaart_2.HQUp) annotation(Line(visible = true, points = {{-51.0, 111.0}, {-31.0, 148.0}}));
  connect(L_Lisse.HQ, ML_Lisse.HQ) annotation(Line(visible = true, points = {{-46.0, 116.0}, {-51.0, 111.0}}));
  connect(P_Lisse.HQ, ML_Lisse.HQ) annotation(Line(visible = true, points = {{-46.0, 111.0}, {-51.0, 111.0}}));
  connect(E_Lisse.HQ, ML_Lisse.HQ) annotation(Line(visible = true, points = {{-46.0, 106.0}, {-51.0, 111.0}}));
  connect(ML_Sloten.HQ, Ringvaart_4.HQUp) annotation(Line(visible = true, points = {{127.0, 164.0}, {110.0, 190.0}}));
  connect(ML_Sloten.HQ, Ringvaart_3.HQDown) annotation(Line(visible = true, points = {{127.0, 164.0}, {135.0, 156.0}}));
  connect(L_Sloten.HQ, ML_Sloten.HQ) annotation(Line(visible = true, points = {{132.0, 169.0}, {127.0, 164.0}}));
  connect(P_Sloten.HQ, ML_Sloten.HQ) annotation(Line(visible = true, points = {{132.0, 164.0}, {127.0, 164.0}}));
  connect(E_Sloten.HQ, ML_Sloten.HQ) annotation(Line(visible = true, points = {{132.0, 159.0}, {127.0, 164.0}}));
  connect(SN_07.HQ, Weipoortse_Vliet_1.HQDown) annotation(Line(visible = true, points = {{-65.0, -77.0}, {-87.0, -106.0}}));
  connect(SN_07.HQ, Oude_Rijn_4.HQUp) annotation(Line(visible = true, points = {{-65.0, -77.0}, {-74.0, -65.0}}));
  connect(SN_07.HQ, Oude_Rijn_3.HQDown) annotation(Line(visible = true, points = {{-65.0, -77.0}, {-25.0, -77.0}}));
  connect(L_07.HQ, SN_07.HQ) annotation(Line(visible = true, points = {{-60.0, -72.0}, {-65.0, -77.0}}));
  connect(P_07.HQ, SN_07.HQ) annotation(Line(visible = true, points = {{-60.0, -77.0}, {-65.0, -77.0}}));
  connect(E_07.HQ, SN_07.HQ) annotation(Line(visible = true, points = {{-60.0, -82.0}, {-65.0, -77.0}}));
  connect(ML_Leidschendam.HQ, Vliet_1.HQUp) annotation(Line(visible = true, points = {{-169.0, -149.0}, {-151.0, -129.0}}));
  connect(ML_Leidschendam.HQ, GEM_Dolk.HQ) annotation(Line(visible = true, points = {{-169.0, -149.0}, {-164.0, -139.0}}));
  connect(ML_Leidschendam.HQ, L_Leidschendam.HQ) annotation(Line(visible = true, points = {{-169.0, -149.0}, {-164.0, -144.0}}));
  connect(ML_Leidschendam.HQ, P_Leidschendam.HQ) annotation(Line(visible = true, points = {{-169.0, -149.0}, {-164.0, -149.0}}));
  connect(ML_Leidschendam.HQ, E_Leidschendam.HQ) annotation(Line(visible = true, points = {{-169.0, -149.0}, {-164.0, -154.0}}));
  connect(ML_Tolhuissluis.HQ, Drecht_2.HQUp) annotation(Line(visible = true, points = {{83.0, 1.0}, {49.0, 10.0}}));
  connect(ML_Tolhuissluis.HQ, Drecht_1.HQUp) annotation(Line(visible = true, points = {{83.0, 1.0}, {75.0, -17.0}}));
  connect(L_Tolhuissluis.HQ, ML_Tolhuissluis.HQ) annotation(Line(visible = true, points = {{88.0, 6.0}, {83.0, 1.0}}));
  connect(P_Tolhuissluis.HQ, ML_Tolhuissluis.HQ) annotation(Line(visible = true, points = {{88.0, 1.0}, {83.0, 1.0}}));
  connect(E_Tolhuissluis.HQ, ML_Tolhuissluis.HQ) annotation(Line(visible = true, points = {{88.0, -4.0}, {83.0, 1.0}}));
  connect(SN_Bodegraven.HQ, Oude_Rijn_1.HQUp) annotation(Line(visible = true, points = {{91.0, -146.0}, {63.0, -125.0}}));
  connect(SN_Bodegraven.HQ, L_Bodegraven.HQ) annotation(Line(visible = true, points = {{91.0, -146.0}, {96.0, -141.0}}));
  connect(SN_Bodegraven.HQ, P_Bodegraven.HQ) annotation(Line(visible = true, points = {{91.0, -146.0}, {96.0, -146.0}}));
  connect(SN_Bodegraven.HQ, E_Bodegraven.HQ) annotation(Line(visible = true, points = {{91.0, -146.0}, {96.0, -151.0}}));
  connect(SN_Bodegraven.HQ, ML_Bodegraven.HQ) annotation(Line(visible = true, points = {{91.0, -146.0}, {86.0, -146.0}}));
  connect(SN_17.HQ, Ringvaart_6.HQDown) annotation(Line(visible = true, points = {{39.0, 203.0}, {40.0, 205.0}}));
  connect(SN_17.HQ, Ringvaart_7.HQUp) annotation(Line(visible = true, points = {{39.0, 203.0}, {25.0, 182.0}}));
  connect(SN_17.HQ, Fuikvaart_1.HQUp) annotation(Line(visible = true, points = {{39.0, 203.0}, {26.0, 205.0}}));
  connect(L_17.HQ, SN_17.HQ) annotation(Line(visible = true, points = {{44.0, 208.0}, {39.0, 203.0}}));
  connect(P_17.HQ, SN_17.HQ) annotation(Line(visible = true, points = {{44.0, 203.0}, {39.0, 203.0}}));
  connect(E_17.HQ, SN_17.HQ) annotation(Line(visible = true, points = {{44.0, 198.0}, {39.0, 203.0}}));
  connect(ML_Boskoop.HQ, Gouwe_3.HQUp) annotation(Line(visible = true, points = {{27.0, -156.0}, {25.0, -180.0}}));
  connect(ML_Boskoop.HQ, Gouwe_4.HQDown) annotation(Line(visible = true, points = {{27.0, -156.0}, {31.0, -131.0}}));
  connect(L_Boskoop.HQ, ML_Boskoop.HQ) annotation(Line(visible = true, points = {{32.0, -151.0}, {27.0, -156.0}}));
  connect(P_Boskoop.HQ, ML_Boskoop.HQ) annotation(Line(visible = true, points = {{32.0, -156.0}, {27.0, -156.0}}));
  connect(E_Boskoop.HQ, ML_Boskoop.HQ) annotation(Line(visible = true, points = {{32.0, -161.0}, {27.0, -156.0}}));
  connect(SN_11.HQ, Braassemermeer_1.HQDown) annotation(Line(visible = true, points = {{30.0, -20.0}, {49.0, -27.0}}));
  connect(SN_11.HQ, Oude_Wetering_1.HQUp) annotation(Line(visible = true, points = {{30.0, -20.0}, {22.0, 0.0}}));
  connect(SN_11.HQ, Braassemermeer_2.HQUp) annotation(Line(visible = true, points = {{30.0, -20.0}, {17.0, -26.0}}));
  connect(L_11.HQ, SN_11.HQ) annotation(Line(visible = true, points = {{35.0, -15.0}, {30.0, -20.0}}));
  connect(P_11.HQ, SN_11.HQ) annotation(Line(visible = true, points = {{35.0, -20.0}, {30.0, -20.0}}));
  connect(E_11.HQ, SN_11.HQ) annotation(Line(visible = true, points = {{35.0, -25.0}, {30.0, -20.0}}));
  connect(BG_Gouda.HQ, Gouwe_2.HQDown) annotation(Line(visible = true, points = {{52.0, -249.0}, {38.0, -227.0}}));
  connect(SN_19.HQ, Gouwe_3.HQDown) annotation(Line(visible = true, points = {{25.0, -202.0}, {25.0, -180.0}}));
  connect(SN_19.HQ, Gouwe_2.HQUp) annotation(Line(visible = true, points = {{25.0, -202.0}, {38.0, -227.0}}));
  connect(L_19.HQ, SN_19.HQ) annotation(Line(visible = true, points = {{30.0, -197.0}, {25.0, -202.0}}));
  connect(BG_Katwijk.HQ, Oegstgeesterkanaal_2.HQDown) annotation(Line(visible = true, points = {{-160.0, 5.0}, {-153.0, -1.0}}));
  connect(BG_Halfweg.HQ, Halfweg_2.HQDown) annotation(Line(visible = true, points = {{112.0, 225.0}, {104.0, 220.0}}));
  connect(BG_Spaarndam.HQ, Spaarne_2.HQDown) annotation(Line(visible = true, points = {{41.0, 249.0}, {40.0, 248.0}}));
  connect(BG_Gouda.HQ, GEM_Gouda.HQDown) annotation(Line(points = {{49, -244}, {49, -249}}));
  connect(BG_Gouda.HQ, GEM_Gouda_inflow.HQDown) annotation(Line(points = {{49, -244}, {49, -249}}));
  connect(BG_Gouda.HQ, P_BG_Gouda.HQ) annotation(Line(visible = true, points = {{52.0, -249.0}, {57.0, -249.0}}));
  connect(BG_Gouda.HQ, E_BG_Gouda.HQ) annotation(Line(visible = true, points = {{52.0, -249.0}, {57.0, -254.0}}));
  connect(GEM_Gouda.HQUp, Eindk_Gouda.HQ) annotation(Line(points = {{49, -249}, {49, -254}}));
  connect(GEM_Gouda_inflow.HQUp, Eindk_Gouda.HQ) annotation(Line(points = {{49, -249}, {49, -254}}));
  connect(BG_Katwijk.HQ, GEM_Katwijk.HQDown) annotation(Line(points = {{-160.0, 5.0}, {-165.0, 5.0}}));
  connect(BG_Katwijk.HQ, P_BG_Katwijk.HQ) annotation(Line(points = {{-160.0, 5.0}, {-155.0, 5.0}}));
  connect(BG_Katwijk.HQ, E_BG_Katwijk.HQ) annotation(Line(points = {{-160.0, 5.0}, {-155.0, 0.0}}));
  connect(GEM_Katwijk.HQUp, Eindk_Katwijk.HQ) annotation(Line(points = {{-165.0, 5.0}, {-170.0, 5.0}}));
  connect(BG_Halfweg.HQ, GEM_Halfweg.HQDown) annotation(Line(points = {{112.0, 225.0}, {112, 230}}));
  connect(BG_Halfweg.HQ, P_BG_Halfweg.HQ) annotation(Line(points = {{112.0, 225.0}, {117, 225.0}}));
  connect(BG_Halfweg.HQ, E_BG_Halfweg.HQ) annotation(Line(points = {{112.0, 225.0}, {117, 220.0}}));
  connect(GEM_Halfweg.HQUp, Eindk_Halfweg.HQ) annotation(Line(points = {{112, 230}, {112.0, 235.0}}));
  connect(BG_Spaarndam.HQ, GEM_Spaarndam.HQDown) annotation(Line(points = {{41.0, 249.0}, {41, 254}}));
  connect(BG_Spaarndam.HQ, P_BG_Spaarndam.HQ) annotation(Line(points = {{41.0, 249.0}, {46.0, 249.0}}));
  connect(BG_Spaarndam.HQ, E_BG_Spaarndam.HQ) annotation(Line(points = {{41.0, 249.0}, {46.0, 244.0}}));
  connect(GEM_Spaarndam.HQUp, Eindk_Spaarndam.HQ) annotation(Line(points = {{41, 254}, {41.0, 259.0}}));
  connect(SN_03.HQ, GEM_N3MP.HQDown) annotation(Line(visible = true, points = {{-110.0, -134.0}, {-110.0, -139.0}}));
  connect(GEM_N3MP.HQUp, Eindk_N3MP.HQ) annotation(Line(visible = true, points = {{-110.0, -139.0}, {-110.0, -144.0}}));
  connect(SN_16.HQ, GEM_Haarlemmermeer.HQDown) annotation(Line(visible = true, points = {{-49.0, 19.0}, {-49.0, 14.0}}));
  connect(GEM_Haarlemmermeer.HQUp, Eindk_Haarlemmermeer.HQ) annotation(Line(visible = true, points = {{-49.0, 14.0}, {-49.0, 9.0}}));

  // Connect Polders
  connect(PG_afw_246.HQ, SN_19.HQ);
  connect(PG_afw_249.HQ, SN_19.HQ);

  L_01.M[1] = L_01_C * L_01.Q;
  L_02.M[1] = L_02_C * L_02.Q;
  L_03.M[1] = L_03_C * L_03.Q;
  L_04.M[1] = L_04_C * L_04.Q;
  L_05.M[1] = L_05_C * L_05.Q;
  L_06.M[1] = L_06_C * L_06.Q;
  L_07.M[1] = L_07_C * L_07.Q;
  L_08.M[1] = L_08_C * L_08.Q;
  L_09.M[1] = L_09_C * L_09.Q;
  L_10.M[1] = L_10_C * L_10.Q;
  L_11.M[1] = L_11_C * L_11.Q;
  L_12.M[1] = L_12_C * L_12.Q;
  L_13.M[1] = L_13_C * L_13.Q;
  L_14.M[1] = L_14_C * L_14.Q;
  L_15.M[1] = L_15_C * L_15.Q;
  L_16.M[1] = L_16_C * L_16.Q;
  L_17.M[1] = L_17_C * L_17.Q;
  L_18.M[1] = L_18_C * L_18.Q;
  L_19.M[1] = L_19_C * L_19.Q;
  L_20.M[1] = L_20_C * L_20.Q;
  L_21.M[1] = L_21_C * L_21.Q;
  L_22.M[1] = L_22_C * L_22.Q;
  L_Alphen.M[1] = L_Alphen_C * L_Alphen.Q;
  L_Bodegraven.M[1] = L_Bodegraven_C * L_Bodegraven.Q;
  L_Boskoop.M[1] = L_Boskoop_C * L_Boskoop.Q;
  L_Heemstede_A.M[1] = L_Heemstede_A_C * L_Heemstede_A.Q;
  L_Heemstede_C.M[1] = L_Heemstede_C_C * L_Heemstede_C.Q;
  L_Leiden.M[1] = L_Leiden_C * L_Leiden.Q;
  L_Leidschendam.M[1] = L_Leidschendam_C * L_Leidschendam.Q;
  L_Lisse.M[1] = L_Lisse_C * L_Lisse.Q;
  L_Nieuwe_Wetering.M[1] = L_Nieuwe_Wetering_C * L_Nieuwe_Wetering.Q;
  L_Sloten.M[1] = L_Sloten_C * L_Sloten.Q;
  L_Tolhuissluis.M[1] = L_Tolhuissluis_C * L_Tolhuissluis.Q;

  P_BG_Gouda.M[1] = P_BG_Gouda_C * P_BG_Gouda.Q;
  P_BG_Katwijk.M[1] = P_BG_Katwijk_C * P_BG_Katwijk.Q;
  P_BG_Halfweg.M[1] = P_BG_Halfweg_C * P_BG_Halfweg.Q;
  P_BG_Spaarndam.M[1] = P_BG_Spaarndam_C * P_BG_Spaarndam.Q;
  P_Alphen.M[1] = P_Alphen_C * P_Alphen.Q;
  P_Bodegraven.M[1] = P_Bodegraven_C * P_Bodegraven.Q;
  P_Boskoop.M[1] = P_Boskoop_C * P_Boskoop.Q;
  P_Heemstede_A.M[1] = P_Heemstede_A_C * P_Heemstede_A.Q;
  P_Heemstede_C.M[1] = P_Heemstede_C_C * P_Heemstede_C.Q;
  P_Leiden.M[1] = P_Leiden_C * P_Leiden.Q;
  P_Leidschendam.M[1] = P_Leidschendam_C * P_Leidschendam.Q;
  P_Lisse.M[1] = P_Lisse_C * P_Lisse.Q;
  P_Nieuwe_Wetering.M[1] = P_Nieuwe_Wetering_C * P_Nieuwe_Wetering.Q;
  P_Sloten.M[1] = P_Sloten_C * P_Sloten.Q;
  P_Tolhuissluis.M[1] = P_Tolhuissluis_C * P_Tolhuissluis.Q;
  P_01.M[1] = P_01_C * P_01.Q;
  P_02.M[1] = P_02_C * P_02.Q;
  P_03.M[1] = P_03_C * P_03.Q;
  P_04.M[1] = P_04_C * P_04.Q;
  P_05.M[1] = P_05_C * P_05.Q;
  P_06.M[1] = P_06_C * P_06.Q;
  P_07.M[1] = P_07_C * P_07.Q;
  P_08.M[1] = P_08_C * P_08.Q;
  P_09.M[1] = P_09_C * P_09.Q;
  P_10.M[1] = P_10_C * P_10.Q;
  P_11.M[1] = P_11_C * P_11.Q;
  P_12.M[1] = P_12_C * P_12.Q;
  P_13.M[1] = P_13_C * P_13.Q;
  P_14.M[1] = P_14_C * P_14.Q;
  P_15.M[1] = P_15_C * P_15.Q;
  P_16.M[1] = P_16_C * P_16.Q;
  P_17.M[1] = P_17_C * P_17.Q;
  P_18.M[1] = P_18_C * P_18.Q;

// One way pumps can ignore outside salt concentrations.
  Eindk_Katwijk.C[1] = 0.0;
  Eindk_Spaarndam.C[1] = 0.0;
  Eindk_Halfweg.C[1] = 0.0;

  L_Amsterdam_NM.M[1] = 0;
  L_Amsterdam_NM.Q = 0;
  GEM_Dolk.M[1] = L_Leidschendam_C * GEM_Dolk.Q;
  ML_Bodegraven.M[1] = ML_Bodegraven_C * ML_Bodegraven.Q;

  // Define polder salinity mass inflow
  PG_afw_246.M[1] = BUF_afw_246_C * PG_afw_246.Q;
  PG_afw_249.M[1] = BUF_afw_249_C * PG_afw_249.Q;

  annotation(Diagram(coordinateSystem(extent = {{-189.0, -270.0}, {188.0, 270.0}}, preserveAspectRatio = true, initialScale = 0.1, grid = {1, 1})), Icon(coordinateSystem(extent = {{-100, -100}, {100, 100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {1, 1})));
end Network;
